<div class="stms-admin-block">
<form name="stms_blacklist_settings" id="stms_blacklist_settings" method="post">
	<input type="hidden" name="action" class="stms-action" value="stms_blacklist_save" />
	<input type="hidden" name="config_name" value="blacklist" />
	
	<div id="stms-blacklist-form" class="stms-admin-block">
		<div id="member-edit-submenu" class="stms-desc">
		<ul id="stms-submenu">
			<li><a href="#tools"><strong>Tools</strong></a></li>
			<li><a href="#blacklist" class="stms-submenu-active"><strong>Block Email/IP</strong></a></li>
			<li><a href="#forms"><strong>Form Editor</strong></a></li>
			<li><a href="#integration"><strong>Integration</strong></a></li>
			<li><a href="#emails"><strong>Email</strong></a></li>
			<li><a href="#payments"><strong>Payments</strong></a></li>
			<li><a href="#config"><strong>General</strong></a></li>
			<li>Config Menu:</li>
		</ul>
		<br style="clear:right" />
	</div>
		<h2 class="stms-field-title">Block Email/IP Addresses</h2>
		<div class="stms-update-msg" style="display:none"><p><strong>Blacklist Data Updated.</strong></p></div>
		<table class="form-table">
		<tr valign="top">
			<th scope="row" style="text-align:right"><label for="stms_block_ip"><strong><?php _e('Block IP Addresses', 'stms'); ?></strong></label></th>
			<td>
				<textarea class="widefat stms-field" name="stms_sets[ip_addresses]" id="stms_block_ip" style="height:120px"><?php echo stms_cleanup(stms_isset($stms['blacklist']['ip_addresses'])); ?></textarea>
				<div class="stms-desc">Please enter IP Addresses that you want to block from accessing your membership site <strong>(one IP address per line)</strong>.</div>
			</td>
		</tr>
		<tr valign="top">
			<th scope="row" style="text-align:right"><label for="stms_block_ip_message"><strong><?php _e('Message On IP Blocked', 'stms'); ?></strong></label></th>
			<td>
				<textarea class="widefat stms-field" name="stms_sets[ip_message]" id="stms_block_ip_message" style="height:50px"><?php echo stms_cleanup(stms_isset($stms['blacklist']['ip_message'], 'Your IP address has been blocked.')); ?></textarea>
				<div class="stms-desc">Please enter a message that you want to display when an IP address is blocked by InstaMember.</strong>.</div>
			</td>
		</tr>
		<tr valign="top">
			<th scope="row" style="text-align:right"><label for="stms_block_emails"><strong><?php _e('Block Email Addresses', 'stms'); ?></strong></label></th>
			<td>
				<textarea class="widefat stms-field" name="stms_sets[email_addresses]" id="stms_block_emails" style="height:120px"><?php echo stms_cleanup(stms_isset($stms['blacklist']['email_addresses'])); ?></textarea>
				<div class="stms-desc">Please enter Email Addresses that you want to block from accessing your membership site <strong>(one Email address per line)</strong>.</div>
			</td>
		</tr>
		<tr valign="top">
			<th scope="row" style="text-align:right"><label for="stms_block_email_message"><strong><?php _e('Message On Email Blocked', 'stms'); ?></strong></label></th>
			<td>
				<textarea class="widefat stms-field" name="stms_sets[email_message]" id="stms_block_email_message" style="height:50px"><?php echo stms_cleanup(stms_isset($stms['blacklist']['email_message'], 'Your Email address has been blocked.')); ?></textarea>
				<div class="stms-desc">Please enter a message that you want to display when an email address is blocked by InstaMember.</strong>.</div>
			</td>
		</tr>
		</table>
	</div>
	<p style="text-align:right"><input type="button" name="stms-submit-blacklist" id="stms-submit-blacklist" value="Update" class="stms-ajax-save button-primary" /></p>
</form>
</div>