<?php
$mode = ( stms_isset($_REQUEST['mode']) != '' ) ? $_REQUEST['mode'] : '';
$def_forms = stms_default_forms();
$signup_title = ( isset($stms['form_signup']['form_title']) ) ? stms_cleanup($stms['form_signup']['form_title']) : stms_isset($def_forms['signup']['title']);
$affiliate_title = ( isset($stms['form_affiliate']['form_title']) ) ? stms_cleanup($stms['form_affiliate']['form_title']) : stms_isset($def_forms['affiliate']['title']);
$profile_title = ( isset($stms['form_profile']['form_title']) ) ? stms_cleanup($stms['form_profile']['form_title']) : stms_isset($def_forms['profile']['title']);
$login_title = ( isset($stms['form_login']['form_title']) ) ? stms_cleanup($stms['form_login']['form_title']) : stms_isset($def_forms['login']['title']);
$forgotpass_title = ( isset($stms['form_forgotpass']['form_title']) ) ? stms_cleanup($stms['form_forgotpass']['form_title']) : stms_isset($def_forms['forgotpass']['title']);
$resetpass_title = ( isset($stms['form_resetpass']['form_title']) ) ? stms_cleanup($stms['form_resetpass']['form_title']) : stms_isset($def_forms['resetpass']['title']);

switch ($mode) {
	case 'edit':
		require_once(STMS_ADMIN . 'edit-form.php');
		break;
		
	default:
?>
<div id="stms-forms" class="stms-admin-block">
	<div id="member-edit-submenu" class="stms-desc">
		<ul id="stms-submenu">
			<li><a href="#tools"><strong>Tools</strong></a></li>
			<li><a href="#blacklist"><strong>Block Email/IP</strong></a></li>
			<li><a href="#forms" class="stms-submenu-active"><strong>Form Editor</strong></a></li>
			<li><a href="#integration"><strong>Integration</strong></a></li>
			<li><a href="#emails"><strong>Email</strong></a></li>
			<li><a href="#payments"><strong>Payments</strong></a></li>
			<li><a href="#config"><strong>General</strong></a></li>
			<li>Config Menu:</li>
		</ul>
		<br style="clear:right" />
	</div>
	
	<h2 class="stms-field-title">Form Editor</h2>
	<table cellspacing="0" class="wp-list-table widefat fixed">
		<thead>
			<tr>
				<th style="text-align:center" class="manage-column column-cb check-column" id="cb" scope="col">#</th>
				<th style="" class="manage-column column-title" id="title" scope="col">Form Title</th>
				<th style="" class="manage-column column-type" id="title" scope="col">Type</th>
				<th style="" class="manage-column column-edit" scope="col">Edit</th>
			</tr>
		</thead>
		<tfoot>
			<tr>
				<th style="text-align:center" class="manage-column column-cb check-column" id="cb" scope="col">#</th>
				<th style="" class="manage-column column-title" id="title" scope="col">Form Title</th>
				<th style="" class="manage-column column-type" id="title" scope="col">Type</th>
				<th style="" class="manage-column column-edit" scope="col">Edit</th>
			</tr>
		</tfoot>
		<tbody>
			<tr class='iedit'>
				<th scope='row' class='check-column' style="text-align:center">1</th>
				<td><a href="#forms|mode=edit&type=signup"><strong><?php echo $signup_title; ?></strong></a></td>
				<td>Signup Form</td>
				<td><a href="#forms|mode=edit&type=signup">Edit</a></td>
			</tr>
			<tr class='alternate iedit' >
				<th scope='row' class='check-column' style="text-align:center">2</th>
				<td><a href="#forms|mode=edit&type=affiliate"><strong><?php echo $affiliate_title; ?></strong></a></td>
				<td>Affiliate Signup Form</td>
				<td><a href="#forms|mode=edit&type=affiliate">Edit</a></td>
			</tr>
			<tr class='iedit' >
				<th scope='row' class='check-column' style="text-align:center">3</th>
				<td><a href="#forms|mode=edit&type=profile"><strong><?php echo $profile_title; ?></strong></a></td>
				<td>Profile Form</td>
				<td><a href="#forms|mode=edit&type=profile">Edit</a></td>
			</tr>
			<tr class='alternate iedit' >
				<th scope='row' class='check-column' style="text-align:center">4</th>
				<td><a href="#forms|mode=edit&type=login"><strong><?php echo $login_title; ?></strong></a></td>
				<td>Login Form</td>
				<td><a href="#forms|mode=edit&type=login">Edit</a></td>
			</tr>
			<tr class='alternate iedit' >
				<th scope='row' class='check-column' style="text-align:center">5</th>
				<td><a href="#forms|mode=edit&type=forgotpass"><strong><?php echo $forgotpass_title; ?></strong></a></td>
				<td>Forgot Password Form</td>
				<td><a href="#forms|mode=edit&type=forgotpass">Edit</a></td>
			</tr>
			<tr class='alternate iedit' >
				<th scope='row' class='check-column' style="text-align:center">6</th>
				<td><a href="#forms|mode=edit&type=resetpass"><strong><?php echo $resetpass_title; ?></strong></a></td>
				<td>Reset Password Form</td>
				<td><a href="#forms|mode=edit&type=resetpass">Edit</a></td>
			</tr>
		</tbody>
	</table>
</div>
<?php
}