<?php
$aweber_token = get_option('stms_aweber_token');
$constant_token = get_option('stms_constant_token');
//$cc_redirect_uri = stms_format_url(get_option('siteurl'), 'instamember_connect=oauth2&provider=constantcontact');

$cc_redirect_uri = STMS_URL . 'ctct.php';
$cc_encoded_uri = urlencode($cc_redirect_uri);
$stms_lists = get_option('stms_ar_lists');

//stms_dump($stms_lists);
?>
<form name="stms_integration_settings" id="stms_integration_settings" method="post">
<input type="hidden" name="action" class="stms-action" value="stms_integrationsettings_save" />
<input type="hidden" name="config_name" value="integration" />
<div id="stms-integration-settings" class="stms-admin-block">
	<div id="member-edit-submenu" class="stms-desc">
		<ul id="stms-submenu">
			<li><a href="#tools"><strong>Tools</strong></a></li>
			<li><a href="#blacklist"><strong>Block Email/IP</strong></a></li>
			<li><a href="#forms"><strong>Form Editor</strong></a></li>
			<li><a href="#integration" class="stms-submenu-active"><strong>Integration</strong></a></li>
			<li><a href="#emails"><strong>Email</strong></a></li>
			<li><a href="#payments"><strong>Payments</strong></a></li>
			<li><a href="#config"><strong>General</strong></a></li>
			<li>Config Menu:</li>
		</ul>
		<br style="clear:right" />
	</div>
	
	<h2 class="stms-field-title">Autoresponder Integrations</h2>
	<div class="stms-update-msg" style="display:none"><p><strong>Settings Saved.</strong></p></div>
	<div id="stms-ar-tabs">
	    <ul>
	        <li><a href="#ar-tabs-1">Aweber</a></li>
	        <li><a href="#ar-tabs-2">GetResponse</a></li>
	        <li><a href="#ar-tabs-3">MailChimp</a></li>
	        <li><a href="#ar-tabs-4">iContact</a></li>
	        <li><a href="#ar-tabs-5">ConstantContact</a></li>
	        <li><a href="#ar-tabs-6">ImnicaMail</a></li>
	        <li><a href="#ar-tabs-7">InfusionSoft</a></li>
	        <li><a href="#ar-tabs-8">SendReach</a></li>
	    </ul>
	    <div id="ar-tabs-1">
	       <table class="form-table" id="stms-email-selector">
			<tr valign="top">
				<th scope="row" style="text-align:right"><label for="stms_aw_key"><?php _e('Consumer Key', 'stms'); ?></label></th>
				<td>
					<input class="widefat stms-field" type="text" name="stms_sets[aweber][consumer_key]" id="stms_aw_key" value="<?php echo stms_cleanup($stms['integration']['aweber']['consumer_key'], '', false, false, true); ?>" />
					<div class="stms-desc">Register or login to <a href="https://labs.aweber.com/" target="_blank">Aweber Developer Labs</a> and create an application, then enter your app Consumer Key here.</div>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" style="text-align:right"><label for="stms_aw_secret_key"><?php _e('Secret Key', 'stms'); ?></label></th>
				<td>
					<input class="widefat stms-field" type="text" name="stms_sets[aweber][secret_key]" id="stms_aw_secret_key" value="<?php echo stms_cleanup($stms['integration']['aweber']['secret_key'], '', false, false, true); ?>" />
					<div class="stms-desc">Please enter the Consumer Secret Key of your Aweber's application.</div>
				</td>
			</tr>
			<tr valign="top" id="stms_aw_status" <?php if ( empty($stms['integration']['aweber']['consumer_key']) && empty($stms['integration']['aweber']['secret_key']) ) : ?>style="display:none"<?php endif; ?>>
				<th scope="row" style="text-align:right">Integration Status</th>
				<td>
					<?php if ( empty($aweber_token) ) { ?>
					<span style="color:#cc0000"><strong>Not Connected</strong></span>&nbsp;&nbsp;<a href="<?php echo stms_format_url(get_option('siteurl'), 'stms_connect=aweber&_instamember_nonce=' . wp_create_nonce('stms-nonce')); ?>" class="button stms_aweber_connect">Connect With Aweber Now</a>
					<?php } else { ?>
					<span style="color:#009900"><strong>Connected</strong></span>
					<?php } ?>
				</td>
			</tr>
			</table>
	    </div>
	    <div id="ar-tabs-2">
	        <table class="form-table" id="stms-email-selector">
			<tr valign="top">
				<th scope="row" style="text-align:right"><label for="stms_gr_key"><?php _e('API Key', 'stms'); ?></label></th>
				<td>
					<input class="widefat stms-field" type="text" name="stms_sets[gr][api_key]" id="stms_gr_key" value="<?php echo stms_cleanup($stms['integration']['gr']['api_key'], '', false, false, true); ?>" />
					<div class="stms-desc">Login to your GetResponse account to obtain your API Key, and enter it here.</div>
				</td>
			</tr>
			</table>
	    </div>
	    <div id="ar-tabs-3">
	        <table class="form-table" id="stms-email-selector">
			<tr valign="top">
				<th scope="row" style="text-align:right"><label for="stms_mc_key"><?php _e('API Key', 'stms'); ?></label></th>
				<td>
					<input class="widefat stms-field" type="text" name="stms_sets[mc][api_key]" id="stms_mc_key" value="<?php echo stms_cleanup($stms['integration']['mc']['api_key'], '', false, false, true); ?>" />
					<div class="stms-desc">Login to your MailChimp account to obtain your API Key, and enter it here.</div>
				</td>
			</tr>
			</table>
	    </div>
	    <div id="ar-tabs-4">
	        <table class="form-table" id="stms-email-selector">
			<tr valign="top">
				<th scope="row" style="text-align:right"><label for="stms_ic_key"><?php _e('Application Key', 'stms'); ?></label></th>
				<td>
					<input class="widefat stms-field" type="text" name="stms_sets[ic][api_key]" id="stms_ic_key" value="<?php echo stms_cleanup($stms['integration']['ic']['api_key'], '', false, false, true); ?>" />
					<div class="stms-desc">Login to iContact and create an application, and enter the API key/Application ID key here.</div>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" style="text-align:right"><label for="stms_ic_pass"><?php _e('Application Password', 'stms'); ?></label></th>
				<td>
					<input class="widefat stms-field" type="password" name="stms_sets[ic][pass]" id="stms_ic_pass" value="<?php echo stms_cleanup($stms['integration']['ic']['pass'], '', false, false, true); ?>" />
					<div class="stms-desc">Enter your iContact Application password here.</div>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" style="text-align:right"><label for="stms_ic_username"><?php _e('iContact Username', 'stms'); ?></label></th>
				<td>
					<input class="widefat stms-field" type="text" name="stms_sets[ic][username]" id="stms_ic_username" value="<?php echo stms_cleanup($stms['integration']['ic']['username'], '', false, false, true); ?>" />
					<div class="stms-desc">Enter your iContact username.</div>
				</td>
			</tr>
			</table>
	    </div>
	    <div id="ar-tabs-5">
	       <table class="form-table" id="stms-email-selector">
			<tr valign="top">
				<th scope="row" style="text-align:right"><label for="stms_cc_key"><?php _e('API Key', 'stms'); ?></label></th>
				<td>
					<input class="widefat stms-field" type="text" name="stms_sets[cc][consumer_key]" id="stms_cc_key" value="<?php echo stms_cleanup($stms['integration']['cc']['consumer_key'], '', false, false, true); ?>" />
					<div class="stms-desc">To obtain the API key, please <a href="http://constantcontact.mashery.com/member/register" target="_blank">register</a> as a ConstanContact developer, and create a <a href="http://constantcontact.mashery.com/apps/register" target="_blank">new app</a>, and paste the API Key here. <strong>Important: </strong>Please copy the Redirect URI below, and paste it into your ConstantContact app settings.</div>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" style="text-align:right"><label for="stms_cc_secret_key"><?php _e('Secret Key', 'stms'); ?></label></th>
				<td>
					<input class="widefat stms-field" type="text" name="stms_sets[cc][secret_key]" id="stms_cc_secret_key" value="<?php echo stms_cleanup($stms['integration']['cc']['secret_key'], '', false, false, true); ?>" />
					<div class="stms-desc">If you have created an app in your <a href="https://secure.mashery.com/login/constantcontact.mashery.com/" target="_blank">ConstantContact's developer account</a>, then copy the app's Secret Key and paste it here.</div>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" style="text-align:right"><label for="stms_cc_redir"><?php _e('Redirect URI', 'stms'); ?></label></th>
				<td>
					<input class="widefat stms-field" type="text" id="stms_cc_redir" value="<?php echo $cc_redirect_uri; ?>" readonly />
					<div class="stms-desc">You'll need this upon creating a ConstantContact application. Simply copy the value above, and paste it into the "Redirect URI" field on your ConstantContact application settings.</div>
				</td>
			</tr>
			<tr valign="top" id="stms_cc_status" <?php if ( empty($stms['integration']['cc']['consumer_key']) && empty($stms['integration']['cc']['secret_key']) ) : ?>style="display:none"<?php endif; ?>>
				<th scope="row" style="text-align:right">Integration Status</th>
				<td>
					<?php if ( empty($constant_token) ) { ?>
					<span style="color:#cc0000"><strong>Not Connected</strong></span>&nbsp;&nbsp;<a href="https://oauth2.constantcontact.com/oauth2/oauth/siteowner/authorize?response_type=code&client_id=<?php echo stms_sanitize($stms['integration']['cc']['consumer_key'], '', true); ?>&redirect_uri=<?php echo $cc_encoded_uri; ?>" class="button stms_constantcont_connect">Connect With ConstantContact Now</a>
					<?php } else { ?>
					<span style="color:#009900"><strong>Connected</strong></span>
					<?php } ?>
				</td>
			</tr>
			</table>
	    </div>
	    <div id="ar-tabs-6">
	       <table class="form-table" id="stms-email-selector">
			<tr valign="top">
				<th scope="row" style="text-align:right"><label for="stms_imc_username"><?php _e('Username', 'stms'); ?></label></th>
				<td>
					<input class="widefat stms-field" type="text" name="stms_sets[imc][username]" id="stms_imc_username" value="<?php echo stms_cleanup($stms['integration']['imc']['username'], '', false, false, true); ?>" />
					<div class="stms-desc">Please enter your ImnicaMail's username.</div>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" style="text-align:right"><label for="stms_imc_pass"><?php _e('Password', 'stms'); ?></label></th>
				<td>
					<input class="widefat stms-field" type="password" name="stms_sets[imc][pass]" id="stms_imc_pass" value="<?php echo stms_cleanup($stms['integration']['imc']['pass'], '', false, false, true); ?>" />
					<div class="stms-desc">Please enter your ImnicaMail's password.</div>
				</td>
			</tr>
			</table>
	    </div>
	    
		<div id="ar-tabs-7">
	       <table class="form-table" id="stms-email-selector">
			<tr valign="top">
				<th scope="row" style="text-align:right"><label for="stms_inf_appname"><?php _e('App Key', 'stms'); ?></label></th>
				<td>
					<input class="widefat stms-field" type="text" name="stms_sets[inf][appname]" id="stms_inf_appname" value="<?php echo stms_cleanup($stms['integration']['inf']['appname'], '', false, false, true); ?>" style="width:60%" />.infusionsoft.com
					<div class="stms-desc">Please enter your InfusionSoft's application name.</div>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" style="text-align:right"><label for="stms_inf_api"><?php _e('API Encrypted Key', 'stms'); ?></label></th>
				<td>
					<input class="widefat stms-field" type="text" name="stms_sets[inf][api]" id="stms_inf_api" value="<?php echo stms_cleanup($stms['integration']['inf']['api'], '', false, false, true); ?>" />
					<div class="stms-desc">Please enter your InfusionSoft's API Encrypted Key (can be obtained from your InfusionSoft account, under <code>Admin -> Settings -> Application</code>).</div>
				</td>
			</tr>
			</table>
	    </div>
	    
	    <div id="ar-tabs-8">
	       <table class="form-table" id="stms-email-selector">
			<tr valign="top">
				<th scope="row" style="text-align:right"><label for="stms_sr_key"><?php _e('APP Key', 'stms'); ?></label></th>
				<td>
					<input class="widefat stms-field" type="text" name="stms_sets[sr][app_key]" id="stms_sr_key" value="<?php echo stms_cleanup($stms['integration']['sr']['app_key'], '', false, false, true); ?>" />
					<div class="stms-desc">Create an application in your SendReach account, and enter the APP Key here (<a href="http://setup.sendreach.com/setup/setupoverview/my-apps/" target="_blank">more info</a>).</div>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" style="text-align:right"><label for="stms_sr_secret"><?php _e('APP Secret', 'stms'); ?></label></th>
				<td>
					<input class="widefat stms-field" type="text" name="stms_sets[sr][app_secret]" id="stms_sr_secret" value="<?php echo stms_cleanup($stms['integration']['sr']['app_secret'], '', false, false, true); ?>" />
					<div class="stms-desc">Please enter your SendReach Application APP Secret here (<a href="http://setup.sendreach.com/setup/setupoverview/my-apps/" target="_blank">more info</a>).</div>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" style="text-align:right"><label for="stms_sr_userid"><?php _e('User ID', 'stms'); ?></label></th>
				<td>
					<input class="widefat stms-field" type="text" name="stms_sets[sr][userid]" id="stms_sr_userid" value="<?php echo stms_cleanup($stms['integration']['sr']['userid'], '', false, false, true); ?>" />
					<div class="stms-desc">Please enter the SendReach User ID that created the API application (<a href="http://setup.sendreach.com/setup/setupoverview/my-apps/" target="_blank">more info</a>).</div>
				</td>
			</tr>
			</table>
	    </div>
	</div>
	
</div>
<div class="stms-admin-block">
	<h2 class="stms-field-title">Other Integrations</h2>
	<div id="stms-web-tabs">
	    <ul>
	        <li><a href="#web-tabs-1">Amazon Web Services</a></li>
	        <li><a href="#web-tabs-2">Facebook</a></li>
	         <li><a href="#web-tabs-3">reCaptcha</a></li>
	    </ul>
	    <div id="web-tabs-1">
	       <table class="form-table" id="stms-email-selector">
			<tr valign="top">
				<th scope="row" style="text-align:right"><label for="stms_s3_key"><?php _e('AWS Access Key ID', 'stms'); ?></label></th>
				<td>
					<input class="widefat stms-field" type="text" name="stms_sets[s3][access_key]" id="stms_s3_key" value="<?php echo stms_cleanup($stms['integration']['s3']['access_key'], '', false, false, true); ?>" />
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" style="text-align:right"><label for="stms_s3_secret"><?php _e('AWS Secret Access Key', 'stms'); ?></label></th>
				<td>
					<input class="widefat stms-field" type="text" name="stms_sets[s3][secret_key]" id="stms_s3_secret" value="<?php echo stms_cleanup($stms['integration']['s3']['secret_key'], '', false, false, true); ?>" />
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" style="text-align:right"><label for="stms_s3_bucket"><?php _e('S3 Bucket Name', 'stms'); ?></label></th>
				<td>
					<input class="widefat stms-field" type="text" name="stms_sets[s3][bucket]" id="stms_s3_bucket" value="<?php echo stms_cleanup($stms['integration']['s3']['bucket']); ?>" />
					<div class="stms-desc">In order to protect your files on S3, please enter the bucket's name here.</div>
				</td>
			</tr>
			</table>
	    </div>
	    <div id="web-tabs-2">
	       <table class="form-table" id="stms-email-selector">
			<tr valign="top">
				<th scope="row" style="text-align:right"><label for="stms_fb_appid"><?php _e('Facebook :: Application ID', 'stms'); ?></label></th>
				<td>
					<input class="widefat stms-field" type="text" name="stms_sets[fb][appid]" id="stms_fb_appid" value="<?php echo stripslashes(esc_attr($stms['integration']['fb']['appid'])); ?>" />
					<div class="stms-desc">Create a <a href="https://developers.facebook.com/apps" target="_blank">Facebook application</a>, and enter the Application ID here.</div>
				</td>
			</tr>
			</table>
	    </div>
	    <div id="web-tabs-3">
	       <table class="form-table" id="stms-email-selector">
			<tr valign="top">
				<th scope="row" style="text-align:right"><label for="stms_recaptcha_public"><?php _e('reCaptcha :: Public Key', 'stms'); ?></label></th>
				<td>
					<input class="widefat stms-field" type="text" name="stms_sets[recaptcha][public]" id="stms_recaptcha_public" value="<?php echo stripslashes(esc_attr($stms['integration']['recaptcha']['public'])); ?>" />
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" style="text-align:right"><label for="stms_recaptcha_private"><?php _e('reCaptcha :: Private Key', 'stms'); ?></label></th>
				<td>
					<input class="widefat stms-field" type="text" name="stms_sets[recaptcha][private]" id="stms_recaptcha_private" value="<?php echo stripslashes(esc_attr($stms['integration']['recaptcha']['private'])); ?>" />
				</td>
			</tr>
			</table>
	    </div>
	</div>
</div>
<p style="text-align:right"><input type="button" name="stms-submit-apisets" id="stms-submit-apisets" value="Update Settings" class="stms-ajax-save button-primary" /></p>
</form>