<?php
$mode = ( stms_isset($_REQUEST['mode']) != '' ) ? $_REQUEST['mode'] : '';
$object_id = ( stms_isset($_REQUEST['object_ID']) > 0 ) ? (int) $_REQUEST['object_ID'] : 0;
$p = stms_get_product($object_id);
$dur = maybe_unserialize(stms_isset($p->duration));
$t_dur = maybe_unserialize(stms_isset($p->t_duration));
$thanks_url = stms_isset($p->info['thankuri']);
$third_disable = ( count($third_pays) < 1 ) ? ' disabled="disabled"' : '';
$order_steps = ( isset($p->info['steps']) ) ? $p->info['steps'] : '2,1';
$order_names = array( 1 => 'registration', 2 => 'payment' );
$steps = explode(",", $order_steps);
$protect_type = stms_isset($_REQUEST['protect_type']);
$aff_com = ( isset($p->info['aff_comm']) ) ? $p->info['aff_comm'] : stms_isset($stms['global']['def_comm']);
$s_aff_com = ( isset($p->info['s_aff_comm']) ) ? $p->info['s_aff_comm'] : $aff_com + 10;
$aff_com2 = ( isset($p->info['aff_comm2']) ) ? $p->info['aff_comm2'] : 10;
$s_aff_com2 = ( isset($p->info['s_aff_comm2']) ) ? $p->info['s_aff_comm2'] : 20;
$resps = stms_available_autoresponders();
$lists = get_option('stms_ar_lists');
$level_currency = stms_get_product_meta($object_id, 'currency');
$p_currency = ( empty($level_currency) ) ? stms_isset($stms['global']['currency']) : $level_currency;
$p_price = ( isset($p->price) ) ? stms_cleanup($p->price) : '97.00';
$p_duration = ( isset($dur['num']) ) ? stms_cleanup($dur['num']) : 30;
$p_rebill_times = ( isset($p->rebill_times) ) ? stms_cleanup($p->rebill_times) : 0;
$trial_price = ( isset($p->t_price) ) ? stms_cleanup($p->t_price) : '1.00';
$trial_duration = ( isset($t_dur['num']) ) ? stms_cleanup($t_dur['num']) : 7;
$pitch_page = ( filter_var(stms_isset($p->info['salesuri']), FILTER_VALIDATE_URL) ) ? $p->info['salesuri'] : 'http://';
$refund = ( stms_isset($p->info['refund']) != '' ) ? $p->info['refund'] : 30;
$pay_settings = stms_get_paysettings($object_id);

if ( ($second_time = get_option('stms_second_time')) === FALSE ) :
	echo '<div class="stms-error-msg"><p><strong>Please go to <a href="#config">Setup/Configuration</a> to configure InstaMember for the first time.</strong></p></div>';
endif;
if ( get_option('stms_second_time') == 1 && count($direct_pays) <= 0 && count($third_pays) <= 0 ) :
	echo '<div class="stms-error-msg"><p><strong>Please go to <a href="#payments">Setup/Configuration >> Payments</a> to integrate InstaMember with at least one payment system.</strong></p></div>';
endif;
if ( $mode != 'add' && get_option('stms_second_time') == 1 && !stms_get_products() ) :
	echo '<div class="stms-error-msg"><p><strong>You have no products yet. Please <a href="#level|mode=add">click here</a> to create your first product.</strong></p></div>';
endif;
switch ($mode) {
	case 'add':
	case 'edit':
		$mode_title = ( $mode == 'edit' ) ? 'Edit Product' : 'Add New Product';
?>
<div id="stms-level-form" class="stms-admin-block">
	<?php if ( $mode == 'edit' ) : ?>
		<div id="member-edit-submenu" class="stms-desc">
			<ul id="stms-submenu">
				<li><a href="#level|mode=license&object_ID=<?php echo $object_id; ?>"><strong>Licensing</strong></a></li>
				<li><a href="#level|mode=pay_button&object_ID=<?php echo $object_id; ?>"><strong>Reg/Pay Button</strong></a></li>
				<li><a href="#level|mode=protects&object_ID=<?php echo $object_id; ?>"><strong>Protect Content(s)</strong></a></li>
				<li><a href="#level|mode=edit&object_ID=<?php echo $object_id; ?>" class="stms-submenu-active"><strong>Edit Product</strong></a></li>
				<li><a href="#level"><strong>All Products</strong></a></li>
				<li>Sub-Menu:</li>
			</ul>
			<br style="clear:right" />
		</div>
	<?php endif; ?>
	
	<h2 class="stms-field-title"><?php echo $mode_title; ?></h2>
	
	<?php 
	if ( stms_isset($_GET['product']) == 'added' )
		echo '<div class="stms-update-msg stms-msg-fadeout"><p><strong>Product has been created.</strong></p></div>';
		
	if ( stms_isset($_GET['product']) == 'updated' )
		echo '<div class="stms-update-msg stms-msg-fadeout"><p><strong>Product has been updated.</strong></p></div>';
	?>
		
	<form name="stms_save_level" id="stms_save_level" method="post" action="<?php echo admin_url('admin.php?page=stms-settings'); ?>">
	<input type="hidden" name="action" value="stms_memberlevel_save" />
	<input type="hidden" name="stms_level[product_id]" id="stms_product_id" value="<?php echo $object_id; ?>" />
	<table class="form-table">
	<?php if ( $mode == 'edit' ) : ?>
	<tr valign="top">
		<th scope="row" style="text-align:right"><label><strong><span style="color:#cc0000">*</span> <?php _e('Product ID', 'stms'); ?></strong></label></th>
		<td class="normal_text"><?php echo $object_id; ?></td>
	</tr>	
	<?php endif; ?>
	<tr valign="top">
		<th scope="row" style="text-align:right"><label for="stms_level_name"><strong><span style="color:#cc0000">*</span> <?php _e('Product Name', 'stms'); ?></strong></label></th>
		<td><input class="stms-field widefat" type="text" name="stms_level[name]" id="stms_level_name" value="<?php echo stms_cleanup($p->title); ?>" /></td>
	</tr>
	<tr valign="top" class="stms-paid-product">
		<th scope="row" style="text-align:right"><label for="stms_level_pitch"><strong><span style="color:#cc0000">*</span> <?php _e('Sales Page (URL)', 'stms'); ?></strong></label></th>
		<td><input class="stms-field widefat" type="text" name="stms_level[salesuri]" id="stms_level_pitch" value="<?php echo stms_cleanup($pitch_page); ?>" /></td>
	</tr>
	
	<tr valign="top">
		<th scope="row" style="text-align:right"><strong><span style="color:#cc0000">*</span> <?php _e('Payment Type', 'stms'); ?></strong></th>
		<td>
			<label for="stms_paytype_one"><input type="radio" name="stms_level[type]" id="stms_paytype_one" value="onetime"<?php if ( stms_isset($p->type, 'onetime') == 'onetime' ) echo ' checked="checked"'; ?> /> One-Time Payment</label><br />
			<label for="stms_paytype_subs"><input type="radio" name="stms_level[type]" id="stms_paytype_subs" value="recurr"<?php if ( stms_isset($p->type, 'onetime') == 'recurr' ) echo ' checked="checked"'; ?> /> Subscription/Recurring Payment (<a href="http://www.youtube.com/v/wBVS0H3Fzhw?rel=0&amp;wmode=transparent&autoplay=1" class="insta_video_help video_url">tutorial</a>)</label><br />
			<label for="stms_paytype_free"><input type="radio" name="stms_level[type]" id="stms_paytype_free" value="free"<?php if ( stms_isset($p->type, 'onetime') == 'free' ) echo ' checked="checked"'; ?> /> Free Membership (<a href="http://www.youtube.com/v/4P0zmN5ywy8?rel=0&amp;wmode=transparent&autoplay=1" class="insta_video_help video_url">tutorial</a>)</label>
		</td>
	</tr>
	</table>
	
	<div class="stms-free-product">
	<table class="form-table">
	<tr valign="top">
		<th scope="row" style="text-align:right"><label for="stms_level_pitch2"><strong><span style="color:#cc0000">*</span> <?php _e('Landing Page (URL)', 'stms'); ?></strong></label></th>
		<td><input class="stms-field widefat" type="text" name="stms_level[salesuri2]" id="stms_level_pitch2" value="<?php echo stms_cleanup($pitch_page); ?>" /></td>
	</tr>
	<tr valign="top">
		<th scope="row" style="text-align:right"><label for="stms_level_fhome"><strong><span style="color:#cc0000">*</span> <?php _e('Members Download Page', 'stms'); ?></strong> <span class="stms-qtip" title="If this product have a specific members download area separated from your membership home page, than you can set it here. InstaMember will then protect this post/page. Visitors or members who aren't customers will not be able to access this page.<br /><br /><strong>Note: </strong>You can protect additional posts/pages specifically for this product via the &quot;Protect Content(s)&quot; menu at the top right <?php if ( $mode == 'add' ) echo '(please save this product first to see the protection menu)'; ?>">[?]</span></label></th>
		<td>
			<select name="stms_level[free_home]" id="stms_level_fhome" class="stms-field widefat">
				<option value="">[ -- Select a post or page -- ]</option>
				<optgroup label="Posts">
				<?php
				$stms_posts = get_posts( array('numberposts' => 9999, 'post_status' => 'publish') );
				if ( $stms_posts ) {
					foreach ( $stms_posts as $post ) {
						if ( stms_isset($stms['global']['magic']) != $post->ID ) {
							$selected = ( stms_isset($p->home_id) == $post->ID ) ? ' selected="selected"' : '';
							echo "<option value='{$post->ID}'{$selected}>$post->post_title</option>";
						}
					}
				}
				?>
				</optgroup>
				<optgroup label="Pages">
				<?php
				$stms_pages = get_pages( array('post_status' => 'publish') );
				if ( $stms_pages ) {
					foreach ( $stms_pages as $page ) {
						if ( stms_isset($stms['global']['magic']) != $page->ID ) {
							$selected = ( stms_isset($p->home_id) == $page->ID ) ? ' selected="selected"' : '';
							echo "<option value='{$page->ID}'{$selected}>$page->post_title</option>";
						}
					}
				}
				?>
				</optgroup>
			</select>
			<div class="stms-desc">Choose a post/page as the members download area for this product.</div>
		</td>
	</tr>
	<tr valign="top">
		<th scope="row" style="text-align:right"><label for="stms_level_thankuri2"><strong><?php _e('After Registration Redirect (URL)', 'stms'); ?></strong></label></th>
		<td><input class="stms-field widefat" type="text" name="stms_level[thankuri2]" id="stms_level_thankuri2" value="<?php echo $thanks_url; ?>" />
			<div class="stms-desc">If you want to redirect the new members to a specific thank you page or an OTO/Upsell sales page, then you can enter the URL here. If you leave this blank, then new members will be redirected to the download page above.</div>
		</td>
	</tr>
	<tr valign="top">
		<th scope="row" style="text-align:right;"><label for="stms_level_confirm"><strong><?php _e('Require Email Confirmation', 'stms'); ?></strong></label></th>
		<td>
			<span class='stms-fancy-chkbox'></span><input type="checkbox" name="stms_level[free_confirm]" id="stms_level_confirm" class="stms-chkbox" value="1" <?php if ( stms_isset($p->info['free_confirm']) == 1 ) echo 'checked="checked"'; ?> />
			<div class="stms-desc">If you turn on this option, then new free members must confirm their email address to activate their account.</div>
		</td>
	</tr>
	</table>
	</div>
	
	<div class="stms-paid-product">
		<table class="form-table">
		<tr valign="top" class="stms-onetime">
			<th scope="row" style="text-align:right"><label for="stms_price"><strong><span style="color:#cc0000">*</span> <?php _e('Regular Price', 'stms'); ?></strong></label></th>
			<td><input class="stms-field" type="text" name="stms_level[price]" id="stms_price" value="<?php echo $p_price; ?>" style="width:100px" />
			</td>
		</tr>
		</table>
		<!--
		<table class="form-table stms-onetime">
		<tr valign="top">
			<th scope="row" style="text-align:right;"><label for="stms_ot_expired"><strong><?php _e('Enable Expiration', 'stms'); ?></strong></label></th>
			<td>
				<div class="stms-toggle-btn"></div><input type="checkbox" name="stms_level[ot_expired]" id="stms_ot_expired" class="stms-toggle-checkbox stms-toggle-switch" data-blockname="ot_expiredsets" value="1" <?php if ( stms_isset($p->info['ot_expired'], 0) == 1 ) echo 'checked="checked"'; ?> />
				<div class="stms-desc">If you turn on this option, members who purchased this product will NOT be granted for a lifetime access and their access to this product will be expired after a certain amount of time. Otherwise, they will have access to this product forever (unless the payment has been refunded).</div>
			</td>
		</tr>
		<tr valign="top" class="ot_expiredsets">
			<th scope="row" style="text-align:right"><label for="stms_ot_expnum"><strong><?php _e('Expired In', 'stms'); ?></strong></label></th>
			<td>
				<input class="stms-field" type="text" name="stms_level[ot_expnum]" id="stms_ot_expnum" value="<?php echo stms_isset($p->info['ot_expnum'], 1); ?>" style="width:60px" />
				<select name="stms_level[ot_exptype]" id="stms_ot_exptype" class="stms-field" style="width:100px">
					<option value="d"<?php if ( stms_isset($p->info['ot_exptype'], 'd') == 'd' ) echo ' selected="selected"'; ?>>Day(s)</option>
					<option value="w"<?php if ( stms_isset($p->info['ot_exptype'], 'w') == 'w' ) echo ' selected="selected"'; ?>>Week(s)</option>
					<option value="m"<?php if ( stms_isset($p->info['ot_exptype'], 'm') == 'm' ) echo ' selected="selected"'; ?>>Month(s)</option>
					<option value="y"<?php if ( stms_isset($p->info['ot_exptype'], 'y') == 'y' ) echo ' selected="selected"'; ?>>Year(s)</option>
				</select>
			</td>
		</tr>
		</table>
		-->
		<table class="form-table">
		<tr valign="top" class="stms-rebill">
			<th scope="row" style="text-align:right"><div class="stms-rebill-trial"><label for="stms_trial_price"><strong><?php _e('Trial Price', 'stms'); ?></strong></label></div></th>
			<td>
				<div class="stms-rebill-trial">
					<input class="stms-field" type="text" name="stms_level[t_price]" id="stms_trial_price" value="<?php echo $trial_price; ?>" style="width:100px" />
					&nbsp;for <input class="stms-field" type="text" name="stms_level[t_dur]" id="stms_trial_dur" value="<?php echo $trial_duration; ?>" style="width:60px" />
					<select name="stms_level[t_dur_type]" id="stms_trial_dur_type" class="stms-field" style="width:80px">
						<option value="d"<?php if ( stms_isset($t_dur['mode']) == 'd' ) echo ' selected="selected"'; ?>>Day(s)</option>
						<option value="w"<?php if ( stms_isset($t_dur['mode']) == 'w' ) echo ' selected="selected"'; ?>>Week(s)</option>
						<option value="m"<?php if ( stms_isset($t_dur['mode']) == 'm' ) echo ' selected="selected"'; ?>>Month(s)</option>
						<option value="y"<?php if ( stms_isset($t_dur['mode']) == 'y' ) echo ' selected="selected"'; ?>>Year(s)</option>
					</select>&nbsp;&nbsp;<span class="stms-desc">Set the trial price to '0' (zero) for free trial</span>
				</div>
				<input type="checkbox" name="stms_level[is_trial]" id="stms_rebill_trial" value="1"<?php if ( stms_isset($p->is_trial) == 1 ) echo ' checked="checked"'; ?> style="display:none" /><span class="stms-rebill-trial-toggle"></span>&nbsp;&nbsp;<label style="cursor:default"><span class="stms-desc">Enable Trial Period</span></label>
			</td>
		</tr>
		<tr valign="top" class="stms-rebill">
			<th scope="row" style="text-align:right"><label for="stms_rebill_price"><strong><span style="color:#cc0000">*</span> <?php _e('Subscription/Rebill Price', 'stms'); ?></strong></label></th>
			<td>
				<input class="stms-field" type="text" name="stms_level[r_price]" id="stms_rebill_price" value="<?php echo $p_price; ?>" style="width:100px" />
				&nbsp;every <input class="stms-field" type="text" name="stms_level[r_dur]" id="stms_rebill_dur" value="<?php echo $p_duration; ?>" style="width:60px" />
				<select name="stms_level[r_dur_type]" id="stms_rebill_dur_type" class="stms-field" style="width:80px">
					<option value="d"<?php if ( stms_isset($dur['mode']) == 'd' ) echo ' selected="selected"'; ?>>Day(s)</option>
					<option value="w"<?php if ( stms_isset($dur['mode']) == 'w' ) echo ' selected="selected"'; ?>>Week(s)</option>
					<option value="m"<?php if ( stms_isset($dur['mode']) == 'm' ) echo ' selected="selected"'; ?>>Month(s)</option>
					<option value="y"<?php if ( stms_isset($dur['mode']) == 'y' ) echo ' selected="selected"'; ?>>Year(s)</option>
				</select>
			</td>
		</tr>
		<tr valign="top" class="stms-rebill">
			<th scope="row" style="text-align:right"><label for="stms_rebill_times"><strong><?php _e('Bill Times', 'stms'); ?></strong></label></th>
			<td>
				<input class="stms-field" type="text" name="stms_level[r_times]" id="stms_rebill_times" value="<?php echo $p_rebill_times; ?>" style="width:100px" /> Times
				<div class="stms-desc">Total number of times the customer will be billed, including the first payment (but not including Trial). Set this to '0' to bill the customer forever (or until cancelled).</div>
			</td>
		</tr>
		<tr valign="top">
			<th scope="row" style="text-align:right"><label><strong><span style="color:#cc0000">*</span> <?php _e('Accepted Payments', 'stms'); ?></strong></label></th>
			<td>
				<?php
					if ( count($direct_pays) > 0 ) {
						foreach ( $direct_pays as $key => $value ) {
							$checked = ( 1 == stms_isset($p->info['direct_pay'][$key]) ) ? ' checked="checked"' : '';
							$abl = stms_payment_abilities($key);
							$abclass = '';
							if ( stms_isset($abl['recurring']) == 'no' && stms_isset($abl['flow']) == 'normal' )
								$abclass = ' class="stms-no-recurring"';
							else if ( stms_isset($abl['recurring']) == 'no' && stms_isset($abl['flow']) == 'auto_only' )
								$abclass = ' class="stms-no-recurring-autoreg"';
							else if ( stms_isset($abl['recurring']) == 'yes' && stms_isset($abl['flow']) == 'auto_only' )
								$abclass = ' class="stms-autoreg-only"';
								
							echo "<p{$abclass}><span><input type='checkbox' name='stms_level[direct_pay][{$key}]' id='stms_direct_pay_{$key}' data-blockname='stms-{$key}-level' class='stms-toggle-checkbox stms-toggle-switch' value='1'{$checked} /><span class='stms-toggle-btn'></span>&nbsp;&nbsp;<label style='cursor:default'><span style='color:#666'>{$value}</span></label></span></p>";
						}
					} else {
						echo 'No Direct Payment System Available. Please integrate at least with one payment system in <a href="#payments">Payments Setup</a>.';
					}
					?>
					<?php if ( !isset($p->ID) ) : ?> <div class="stms-desc"><strong>Note: </strong>Options to integrate with 3rd-party payment systems (e.g. ClickBank, DigiResults, WSO Pro, JVZoo, etc) will be available after this product is created.</div><?php endif; ?>
			</td>
		</tr>
		</table>
		
		<?php
		if ( count($direct_pays) > 0 ) {
			// Direct Payment Settings Placeholder	
			echo '<table class="form-table">';
			foreach ( $direct_pays as $key => $value ) {
				do_action('stms_directpay_settings_' . $key, $stms, $p);
			}
			echo '</table>';
		}
		?>
		
		<table class="form-table">
		<tr valign="top">
			<th scope="row" style="text-align:right"><label for="stms_level_home"><strong><span style="color:#cc0000">*</span> <?php _e('Members Download Page', 'stms'); ?></strong> <span class="stms-qtip" title="If this product have a specific members download area separated from your membership home page, than you can set it here. InstaMember will then protect this post/page. Visitors or members who aren't customers will not be able to access this page.<br /><br /><strong>Note: </strong>You can protect additional posts/pages specifically for this product via the &quot;Protect Content(s)&quot; menu at the top right <?php if ( $mode == 'add' ) echo '(please save this product first to see the protection menu)'; ?>">[?]</span></label></th>
			<td>
				<select name="stms_level[home]" id="stms_level_home" class="stms-field widefat">
					<option value="">[ -- Select a post or page -- ]</option>
					<optgroup label="Posts">
					<?php
					$stms_posts = get_posts( array('numberposts' => 9999, 'post_status' => 'publish') );
					if ( $stms_posts ) {
						foreach ( $stms_posts as $post ) {
							if ( stms_isset($stms['global']['magic']) != $post->ID ) {
								$selected = ( stms_isset($p->home_id) == $post->ID ) ? ' selected="selected"' : '';
								echo "<option value='{$post->ID}'{$selected}>$post->post_title</option>";
							}
						}
					}
					?>
					</optgroup>
					<optgroup label="Pages">
					<?php
					$stms_pages = get_pages( array('post_status' => 'publish') );
					if ( $stms_pages ) {
						foreach ( $stms_pages as $page ) {
							if ( stms_isset($stms['global']['magic']) != $page->ID ) {
								$selected = ( stms_isset($p->home_id) == $page->ID ) ? ' selected="selected"' : '';
								echo "<option value='{$page->ID}'{$selected}>$page->post_title</option>";
							}
						}
					}
					?>
					</optgroup>
				</select>
				<div class="stms-desc">Choose a post/page as the members download area for this product.</div>
			</td>
		</tr>
		<tr valign="top">
			<th scope="row" style="text-align:right"><label><strong><?php _e('Order Steps', 'stms'); ?></strong> <span class="stms-qtip" title="Steps that needs to be taken by your visitors in order to buy your product. If you want to use the &quot;3rd-Party Payments&quot; (e.g. ClickBank, JVZoo, DigiResults), then you have to set this to &quot;<strong>Payment >> Registration</strong>&quot;.">[?]</span></label></th>
			<td>
				Simply drag n drop to arrange the order steps
				<ul id="stms-level-sortable" class="stms_level_sortable">
					<?php
					for ( $i = 0; $i < count($steps); $i++ ) {
						echo '<li id="orderflow_' . $steps[$i] . '" class="ui-state-default"><span class="ui-icon ui-icon-arrowthick-2-n-s"></span>' . ucwords($order_names[$steps[$i]]) . '</li>';
					}
					?>
				    <!-- <li class="ui-state-default ui-state-disabled"><span class="ui-icon ui-icon-arrowthick-2-n-s"></span>Product Access OR Upsell(s)</li> -->
				</ul>
				<input type="hidden" name="stms_level[auto_register]" value="0" />
				<div id="stms-auto-register" style="display:<?php if ( $order_steps == '2,1' ) echo 'block'; else echo 'none'; ?>"><input type='checkbox' name='stms_level[auto_register]' id='stms_auto_register' class='stms-chkbox' value='1'<?php if ( stms_sanitize($p->info['auto_register'], 1) == 1 ) echo ' checked="checked"'; ?> /><span class='stms-fancy-chkbox stms-reveal-payments' data-reveal="payments"></span>&nbsp;&nbsp;<label style="cursor:default"><span class="stms-desc">Enable Member Auto-Registration (so new members doesn't need to fill a form)</span></label></div>
				<input type="hidden" name="stms_level[steps]" id="stms_order_steps" value="<?php echo $order_steps; ?>" />
			</td>
		</tr>
		<tr valign="top">
			<th scope="row" style="text-align:right"><label for="stms_level_thankuri"><strong><?php _e('After Purchased Redirect (URL)', 'stms'); ?></strong> <span class="stms-qtip" title="This page is usually a purchase thank you page, maybe with an instruction on how to access the product.<br /><br />Alternatively, you can enter your upsell sales page URL here (depend on the payment system that you use). Please read the manual for more info about setting-up an upsell.">[?]</span></label></th>
			<td><input class="stms-field widefat" type="text" name="stms_level[thankuri]" id="stms_level_thankuri" value="<?php echo $thanks_url; ?>" />
				<div class="stms-desc">New customers will be redirected to this page after purchased (must include 'http://'). If you leave this blank, the new customers will be taken to the members download area above.</div>
			</td>
		</tr>
		</table>
		
		<?php if ( isset($p->ID) && count($third_pays) > 0 ) : ?>
		<div id="stms-third-payments" class="stms-admin-block">
			<h2 class="stms-field-title">3rd-Party Payments <span class="stms-toggle" data-open="no">+</span></h2>
			<table class="form-table" style="border-collapse: collapse">
			<tr valign="top" class="no-third-network"<?php if ( $order_steps == '2,1' ) { echo 'style="display:none"'; } ?>>
				<td colspan="2">
					<div class="stms-error-msg">
						<p><strong>If you want to use the 3rd-Party Payments (e.g. ClickBank, JVZoo, DigiResults), then you MUST set "Order Steps" setting above to "Payment >> Registration"</strong></p>
					</div>
				</td>
			</tr>
			<tr valign="top" class="third-network"<?php if ( $order_steps == '1,2' ) { echo 'style="display:none"'; } ?>>
				<td colspan="2">
					<div class="stms-help-msg">
						<p><strong>Important: </strong>If you sell this product using one of the 3rd-party payments below, please note that your internal affiliates will NOT be able to get the commissions because InstaMember cannot track the clicks nor calculate the commissions. Your affiliates must be managed through the respective 3rd-party platform(s) that you use to sell this product.</p>
						<p><strong>Suggestion: </strong>If you sell this product using multiple payment platforms, and don't want to create a different sales page for each, then you can use the "Auto-Switch" payment feature. Once you're done with the settings below (and saved), you can <a href="#level|mode=pay_button&object_ID=<?php echo $object_id; ?>">click here</a> to grab the auto-switch payment button.</p>
					</div>
				</td>
			</tr>
			<tr valign="top" class="third-network"<?php if ( $order_steps == '1,2' ) { echo 'style="display:none"'; } ?>>
				<th scope="row" style="text-align:right"><label><strong><?php _e('Accepted 3rd-Party Payments', 'stms'); ?></strong></label></th>
				<td>
					<?php
						$pay_third = $p->info['third_pay'];
						foreach ( $third_pays as $key => $value ) {
							$pay_key = ( isset($pay_third[$key]) ) ? $pay_third[$key] : 0;
							$checked = ( $pay_key == 1 ) ? ' checked="checked"' : '';
							$abl = stms_payment_abilities($key);
							$abclass = '';
							if ( stms_isset($abl['recurring']) == 'no' && stms_isset($abl['flow']) == 'normal' )
								$abclass = ' class="stms-no-recurring"';
							else if ( stms_isset($abl['recurring']) == 'no' && stms_isset($abl['flow']) == 'auto_only' )
								$abclass = ' class="stms-no-recurring-autoreg"';
							else if ( stms_isset($abl['recurring']) == 'yes' && stms_isset($abl['flow']) == 'auto_only' )
								$abclass = ' class="stms-autoreg-only"';
							
							echo "<p{$abclass}><span><input type='checkbox' name='stms_level[third_pay][{$key}]' id='stms_third_pay_{$key}' data-blockname='stms-{$key}-level' class='stms-toggle-checkbox stms-toggle-switch' value='1'{$checked} /><span class='stms-toggle-btn' data-third='payment'></span>&nbsp;&nbsp;<label style='cursor:default'><span style='color:#666'>{$value}</span></label></span></p>";
						}
						?>
						<div class="stms-desc"><strong>Important: </strong>Some payments may not be available if you set the membership type "Subscription/Recurring Payment", and some can only be used if the "Auto-Registration" feature is turned on.</div>
				</td>
			</tr>
			<tr class="third-network"<?php if ( $order_steps == '1,2' ) { echo 'style="display:none"'; } ?>>
			<td colspan="2" style="margin:0;padding:0;">
				<table class="stms-third-integrate form-table">
			<?php
				// 3rd-Party Payment Settings Placeholder
				foreach ( $third_pays as $key => $value ) {
					do_action('stms_thirdpay_settings_' . $key, $p, $pay_settings);
				}
			?>
				</table>
			</td>
			</tr>
			</table>
		</div>
		<?php endif; ?>
	
		<div class="stms-admin-block">
			<h2 class="stms-field-title">Affiliate Program Settings <span class="stms-toggle" data-open="no">+</span></h2>
			<table class="form-table">
			<tr valign="top">
				<th scope="row" style="text-align:right"><label for="stms_aff_comm"><strong><?php _e('1-Tier Affiliate Commission', 'stms'); ?></strong></label></th>
				<td>Regular: <input class="stms-field" type="text" name="stms_level[aff_comm]" id="stms_aff_comm" value="<?php echo $aff_com; ?>" style="width:80px" /> %&nbsp;&nbsp;-&nbsp;&nbsp;
					Exclusive <span class="stms-qtip" title="Members/Affiliates who have been marked as &quot;Exclusive Affiliate&quot; may earn a different commission than regular affiliate. You can set this higher than the regular comission. This is useful when you have exclusive JV Partner or want to give your super affiliates a higher commission.">[?]</span>: <input class="stms-field" type="text" name="stms_level[s_aff_comm]" id="stms_saff_comm" value="<?php echo $s_aff_com; ?>" style="width:80px" /> %
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" style="text-align:right"><label style="cursor:default"><strong>Enable 2-Tier Affiliate Program</strong></label></th>
				<td>
					<div class="stms-toggle-btn"></div><input type="checkbox" name="stms_level[is_twotier]" id="stms_is_twotier" class="stms-toggle-checkbox stms-toggle-switch" data-blockname="twotier-sets" value="1" <?php if ( stms_isset($p->info['is_twotier']) == 1 ) echo 'checked="checked"'; ?> />
				</td>
			</tr>
			<tr valign="top" class="twotier-sets">
				<th scope="row" style="text-align:right"><label for="stms_aff_comm"><strong><?php _e('2-Tier Affiliate Commission', 'stms'); ?></strong></label></th>
				<td>Regular: <input class="stms-field" type="text" name="stms_level[aff_comm2]" id="stms_aff_comm2" value="<?php echo $aff_com2; ?>" style="width:80px" /> %&nbsp;&nbsp;-&nbsp;&nbsp;
					Exclusive <span class="stms-qtip" title="Members/Affiliates who have been marked as &quot;Exclusive Affiliate&quot; may earn a different 2nd-tier commission than regular affiliate. You can set this higher than the regular 2nd-tier comission. This is useful when you have exclusive JV Partner or want to give your super affiliates a higher commission.">[?]</span>: <input class="stms-field" type="text" name="stms_level[s_aff_comm2]" id="stms_saff_comm2" value="<?php echo $s_aff_com2; ?>" style="width:80px" /> %
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" style="text-align:right"><label for="stms_level_refund"><strong><?php _e('Payout Delay Period', 'stms'); ?></strong> <span class="stms-qtip" title="If you set this payout delay setting to more than '0' days, then affiliate commissions related to this product will be hold for 'X' days. InstaMember will NOT generate a payout report for a comission that hasn't been passed the delay period.<br /><br />For example, if you set this to 30 days, then a commission for an affiliate will be able to be paid only 30 days after the order transaction.">[?]</span></label></th>
				<td><input class="stms-field" type="text" name="stms_level[refund]" id="stms_level_refund" value="<?php echo stms_cleanup($refund); ?>" style="width:80px" /> Days</td>
			</tr>
			</table>
		</div>
	</div>
	
	
	
	<?php if ( count($resps) > 0 ) : ?>
	<div class="stms-admin-block">
		<h2 class="stms-field-title">Autoresponder Integration <span class="stms-toggle" data-open="no">+</span></h2>
		<table class="form-table">
			<tr valign="top">
				<th scope="row" style="text-align:right"><label style="cursor:default"><strong>Autoresponder Integration</strong></label></th>
				<td><div class="stms-toggle-btn"></div><input type="checkbox" name="stms_level[is_responder]" id="stms_is_responder" class="stms-toggle-checkbox stms-toggle-switch" data-blockname="responder-levelsets" value="1" <?php if ( stms_isset($p->info['is_responder']) == 1 ) echo 'checked="checked"'; ?> /></td>
			</tr>
			<tr valign="top" class="responder-levelsets">
				<th scope="row" style="text-align:right"><label for="stms_autoresponder"><strong><?php _e('Autoresponder System', 'stms'); ?></strong></label></th>
				<td>
					<select name="stms_level[autoresponder]" id="stms_autoresponder" class="stms-field widefat">
						<?php
						foreach ( $resps as $key => $value ) {
							$selected = ( stms_isset($p->info['autoresponder']) == $key ) ? ' selected="selected"' : '';
							echo "<option value='{$key}'{$selected}>{$value}</option>";
						}
						?>
					</select>
				</td>
			</tr>
			<tr class="responder-levelsets">
				<td colspan="2" style="padding:0">
				<table class="form-table responder-levelsets">
					<?php foreach ( $resps as $key => $value ) : if ( $key != 'inf' && $key != 'custom' ) { ?>
					<tr valign="top" class="responder-list responder-<?php echo $key; ?>" style="display:none">
						<th scope="row" style="text-align:right"><label for="stms_<?php echo $key; ?>_list"><strong> <?php _e('Select Campaign/List Name', 'stms'); ?></strong></label></th>
						<td>
							<select name="stms_level[<?php echo $key; ?>_list]" id="stms_<?php echo $key; ?>_list" class="stms-field" style="width:70%">
								<?php
								$my_lists = isset($lists[$key]) ? $lists[$key] : false;
								if ( $my_lists ) :
									foreach ( $my_lists as $k => $v ) {
										$s = ( stms_isset($p->info[$key . '_list']) == $k ) ? ' selected="selected"' : '';
										echo "<option value='{$k}'{$s}>{$v}</option>";
									}
								endif;
								?>
							</select>&nbsp;<a href="<?php echo admin_url('admin.php?page=stms-settings'); ?>&action=stms_arlist_reload&object_id=<?php echo $object_id; ?>&ar=<?php echo $key; ?>" class="button">Reload List</a>
						</td>
					</tr>
					<?php } else if ( $key == 'custom' ){?>
					<tr valign="top" class="responder-list responder-<?php echo $key; ?>" style="display:none">
						<th scope="row" style="text-align:right"><label for="stms_<?php echo $key; ?>_list"><strong> <?php _e('Autoresponder Code (HTML)', 'stms'); ?></strong></label></th>
						<td>
							<textarea class="stms-field widefat" name="stms_level[<?php echo $key; ?>_list]" id="stms_<?php echo $key; ?>_list" style="height:120px" ><?php echo esc_html(stms_sanitize($p->info[$key . '_list'])); ?></textarea>
							<div class="stms-desc">Please copy the <strong>HTML version of the autoresponder/opt-in form code</strong> from your email marketing provider, and paste it here.</div>
						</td>
					</tr>
					<?php } else {?>
					<tr valign="top" class="responder-list responder-<?php echo $key; ?>" style="display:none">
						<th scope="row" style="text-align:right"><label for="stms_<?php echo $key; ?>_list"><strong> <?php _e('Campaign ID#', 'stms'); ?></strong></label></th>
						<td>
							<input class="stms-field widefat" type="text" name="stms_level[<?php echo $key; ?>_list]" id="stms_<?php echo $key; ?>_list" value="<?php echo stms_sanitize($p->info[$key . '_list']); ?>" />
							<div class="stms-desc">If you want to add new customers to one of your InfusionSoft's campaigns, then please enter the campaign ID number here.</div>
						</td>
					</tr>
					<?php } endforeach; ?>
				</table>
				</td>
			</tr>
		</table>
	</div>
	<?php endif; ?>
	
	<div class="stms-admin-block">
		<h2 class="stms-field-title">GoToWebinar Integration <span class="stms-toggle" data-open="no">+</span></h2>
		<table class="form-table">
		<tr valign="top">
			<th scope="row" style="text-align:right"><label style="cursor:default"><strong>Enable GoToWebinar</strong></label></th>
			<td>
				<div class="stms-toggle-btn"></div><input type="checkbox" name="stms_level[is_webinar]" id="stms_is_webinar" class="stms-toggle-checkbox stms-toggle-switch" data-blockname="webinar-levelsets" value="1" <?php if ( stms_isset($p->info['is_webinar']) == 1 ) echo 'checked="checked"'; ?> />
				<div class="stms-desc">If you want to automatically register new customers to your webinars, then you can enable this option.<br />You can integrate up to 7 webinars per product.</div>
			</td>
		</tr>
		<?php for ( $i = 0; $i < 7; $i++ ) { ?>
		<tr valign="top" class="webinar-levelsets">
			<th scope="row" style="text-align:right"><label for="stms_webinar_server"><strong><?php _e('GoToWebinar Registration URL #' . ($i+1), 'stms'); ?></strong></label></th>
			<td>
				<input class="stms-field widefat" type="text" name="stms_level[webinar_url][]" id="stms_webinar_url" value="<?php echo stms_isset($p->info['webinar_url'][$i]); ?>" />
				<div class="stms-desc">Please create a webinar in your GoToWebinar account, and enter the full URL to your webinar registration here.</div>
			</td>
		</tr>
		<?php } ?>
		</table>
	</div>
	
	<p style="text-align:right; margin-top:15px; padding-right:10px">
		<input type="submit" id="stms-submit-level" name="stms-submit-level" value="Save Product" class="button-primary" />
		<a href="#level" class="button">Cancel</a>
	</p>
	</form>
</div>
<?php
		break; // end of case 'add/edit' product

	case 'protects':
?>
<div id="stms-protect-area" class="stms-admin-block">
	<div id="member-edit-submenu" class="stms-desc">
		<ul id="stms-submenu">
			<li><a href="#level|mode=license&object_ID=<?php echo $object_id; ?>"><strong>Licensing</strong></a></li>
			<li><a href="#level|mode=pay_button&object_ID=<?php echo $object_id; ?>"><strong>Reg/Pay Button</strong></a></li>
			<li><a href="#level|mode=protects&object_ID=<?php echo $object_id; ?>"  class="stms-submenu-active"><strong>Protect Content(s)</strong></a></li>
			<li><a href="#level|mode=edit&object_ID=<?php echo $object_id; ?>"><strong>Edit Product</strong></a></li>
			<li><a href="#level"><strong>All Products</strong></a></li>
			<li>Sub-Menu:</li>
		</ul>
		<br style="clear:right" />
	</div>
	
	<h2 class="stms-field-title">Protect Contents <span class="stms-protect-title">(product name: <strong><?php echo stripslashes(stms_isset($p->title)); ?></strong>)</span></h2>
	
	<div class="stms-update-msg" style="display:none"><p><strong>Content(s) has been protected.</strong></p></div>
	<p id="stms-protect-loader" style="display:none; text-align:center"><img src="<?php echo STMS_URL; ?>images/admin-loader.gif" border="0" /><br /><span class="stms-load-text">Protecting Data ...</span></p>
	<div id="stms-protect-form" class="stms-admin-block">
		<table class="form-table">
		<tr valign="top">
			<th scope="row" style="text-align:right"><label for="stms_protect_type"><strong> <?php _e('Choose Content Type', 'stms'); ?></strong></label></th>
			<td>
				<select id="stms_protect_type" class="stms-field widefat">
					<option value='posts'<?php if ( $protect_type != 'pages' ) echo ' selected="selected"'; ?>>Posts</option>
					<option value='pages'<?php if ( $protect_type == 'pages' ) echo ' selected="selected"'; ?>>Pages</option>
					<option value='categories'<?php if ( $protect_type == 'categories' ) echo ' selected="selected"'; ?>>Categories</option>
					<option value='files'<?php if ( $protect_type == 'files' ) echo ' selected="selected"'; ?>>Local Files</option>
					<option value='s3_files'<?php if ( $protect_type == 's3_files' ) echo ' selected="selected"'; ?>>Amazon S3 Files</option>
				</select>
			</td>
		</tr>
		</table>
	</div>
	
	<?php
		$count_posts = wp_count_posts();
		$totalposts = $count_posts->publish;
		$perpage = 15;
		$pagination = array(
				'total' => ceil($totalposts / $perpage),
				'totalcount' => $totalposts,
				'type' => 'posts',
				'product_id' => $p->ID
			);
		
		$post_display = ( $protect_type == 'pages' ) ? 'none' : 'block';
	?>
	<div id="stms-protect-posts" class="stms-admin-block" style="display:<?php echo $post_display; ?>">
		<form name="stms_posts_protection" id="stms_posts_protection" method="post">
			<?php echo stms_paginate_links( $pagination, 'top' ); ?>
			<div style="clear:both"></div>
			<table cellspacing="0" class="wp-list-table stms-list-protect-posts widefat fixed">
				<thead>
					<tr>
					<th style="" class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox" id="cb-select-posts-1"></th>
					<th style="" class="manage-column column-title" id="title" scope="col">Post Title</th>
					<th style="" class="manage-column column-drip" scope="col">Available In</th>
					<th style="" class="manage-column column-drip" scope="col">Expired In</th>
					</tr>
				</thead>
			
				<tfoot>
				<tr>
					<th style="" class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox" id="cb-select-posts-2"></th>
					<th style="" class="manage-column column-title" id="title" scope="col">Post Title</th>
					<th style="" class="manage-column column-drip" scope="col">Available In</th>
					<th style="" class="manage-column column-drip" scope="col">Expired In</th>
				</tr>
				</tfoot>
				<tbody class="stms-protect-posts-data" data-loader="<?php echo STMS_URL; ?>images/ajax-loader.gif">
				<?php stms_get_protected_contents('posts', $p->ID); ?>
				</tbody>
			</table>
			<?php echo stms_paginate_links( $pagination, 'bottom' ); ?>
			<div style="clear:both"></div>
		</form>
	</div>
	<?php
		$count_pages = wp_count_posts('page');
		$totalpages = $count_pages->publish;
		$pagination = array(
				'total' => ceil($totalpages / $perpage),
				'totalcount' => $totalpages,
				'type' => 'pages',
				'product_id' => $p->ID
			);
			
		$page_display = ( $protect_type == 'pages' ) ? 'block' : 'none';
	?>
	<div id="stms-protect-pages" class="stms-admin-block" style="display:<?php echo $page_display; ?>">
		<form name="stms_pages_protection" id="stms_pages_protection" method="post">
			<?php echo stms_paginate_links($pagination, 'top'); ?>
			<div style="clear:both"></div>
			<table cellspacing="0" class="wp-list-table widefat fixed stms-list-protect-pages">
				<thead>
					<tr>
					<th style="" class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox" id="cb-select-pages-1"></th>
					<th style="" class="manage-column column-title" id="title" scope="col">Post Title</th>
					<th style="" class="manage-column column-drip" scope="col">Available In</th>
					<th style="" class="manage-column column-drip" scope="col">Expired In</th>
					</tr>
				</thead>
			
				<tfoot>
				<tr>
					<th style="" class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox" id="cb-select-pages-2"></th>
					<th style="" class="manage-column column-title" id="title" scope="col">Post Title</th>
					<th style="" class="manage-column column-drip" scope="col">Available In</th>
					<th style="" class="manage-column column-drip" scope="col">Expired In</th>
				</tr>
				</tfoot>
				<tbody class="stms-protect-pages-data" data-loader="<?php echo STMS_URL; ?>images/ajax-loader.gif">
				<?php stms_get_protected_contents('pages', $p->ID); ?>
				</tbody>
			</table>
			<?php echo stms_paginate_links( $pagination, 'bottom' ); ?>
			<div style="clear:both"></div>
		</form>
	</div>
	<p id="stms-protect-btn" style="text-align:right;">
		<input type="button" id="stms-submit-protect" name="stms-submit-protect" value="Apply Protection" class="button-primary" />
		<input type="button" value="Back" class="button" onclick="window.history.back(); return false;"/>
	</p>
	<input type="hidden" id="protect_level_id" value="<?php echo $object_id; ?>" />
	<input type="hidden" id="protect_total_posts" value="<?php echo $totalposts; ?>" />
	<input type="hidden" id="protect_total_pages" value="<?php echo $totalpages; ?>" />
	
	<?php
		$count_cats = get_categories( array('hide_empty' => 0 ) );
		$totalcats = count($count_cats) - 1;
		$pagination = array(
				'total' => ceil($totalcats / $perpage),
				'totalcount' => $totalcats,
				'type' => 'categories',
				'product_id' => $p->ID
			);
			
		$cat_display = ( $protect_type == 'categories' ) ? 'block' : 'none';
	?>
	
	<div id="stms-protect-categories" class="stms-admin-block" style="display:<?php echo $cat_display; ?>">
		<div class="stms-help-msg" style="margin-bottom:20px;">
			<p><strong>Important:</strong> When a category is protected, all posts belong to that category will be automatically protected too.</p>
		</div>
	
		<form name="stms_categories_protection" id="stms_categories_protection" method="post">
			<?php echo stms_paginate_links($pagination, 'top'); ?>
			<div style="clear:both"></div>
			<table cellspacing="0" class="wp-list-table widefat fixed stms-list-protect-pages">
				<thead>
					<tr>
					<th style="" class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox" id="cb-select-pages-1"></th>
					<th style="" class="manage-column column-title" id="title" scope="col">Category Name</th>
					<th style="" class="manage-column column-drip" scope="col">Available In</th>
					<th style="" class="manage-column column-drip" scope="col">Expired In</th>
					</tr>
				</thead>
			
				<tfoot>
				<tr>
					<th style="" class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox" id="cb-select-pages-2"></th>
					<th style="" class="manage-column column-title" id="title" scope="col">Category Name</th>
					<th style="" class="manage-column column-drip" scope="col">Available In</th>
					<th style="" class="manage-column column-drip" scope="col">Expired In</th>
				</tr>
				</tfoot>
				<tbody class="stms-protect-pages-data" data-loader="<?php echo STMS_URL; ?>images/ajax-loader.gif">
				<?php stms_get_protected_categories($p->ID, $perpage); ?>
				</tbody>
			</table>
			<?php echo stms_paginate_links( $pagination, 'bottom' ); ?>
			<div style="clear:both"></div>
		</form>
		<p id="stms-protect-cat-btn" style="text-align:right;">
			<input type="button" id="stms-submit-cat-protect" name="stms-submit-cat-protect" value="Apply Protection" class="button-primary" />
			<input type="button" value="Back" class="button" onclick="window.history.back(); return false;"/>
		</p>
	</div>
	
	<?php $file_display = ( $protect_type == 'files' ) ? 'block' : 'none'; ?>

	<div id="stms-protect-files" class="stms-admin-block" style="display:<?php echo $file_display; ?>">
		<?php if ( !is_dir(STMS_DOWNLOAD_PATHS) && !is_writable(ABSPATH . 'wp-content/uploads/') ) : ?>
			<div class="stms-error-msg" style="margin-bottom:20px;">
				<p><strong>ERROR:</strong> Cannot create download folder. The <code><?php echo ABSPATH; ?>wp-content/uploads/</code> directory is not writeable.</p>
			</div>
			<p><strong>Here How To Fix This:</strong></p>
			<ul>
				<li>1. Login to your server either via FTP or cPanel File Manager</li>
				<li>2. Browse to <code><?php echo ABSPATH; ?>wp-content/uploads/</code></li>
				<li>3. Create a new directory/folder with the exact name: <code>instamember-files</code></li>
				<li>4. Set the new directory permission (chmod) to <code>777</code> or <code>0777</code></li>
				<li>5. Reload this page (or hit the 'F5' button on the keyboard) so InstaMember can create a protection for the download directory</li>
				<li>6. Set the download directory permission (chmod) back to <code>755</code> or <code>0755</code></li>
			</ul>
		<?php else : ?>
		<p class="stms-inpage-help-short"><strong>Instruction:</strong> <a href="#" class="stms-show-help">(show)</a></p>
		<div class="stms-help-msg stms-inpage-help" style="display:none; margin-bottom:20px;">
			<p><strong>Instruction:</strong> Please upload all the files that you want to protect to <code><?php echo ABSPATH; ?>wp-content/uploads/instamember-files</code>. Once you're done, refresh this page, and your files should appear on the table below.</p>
			<p>Tick the checkbox below to tag the files for this product. Members who have bought this product will be able access the file(s).</p>
			<p><strong>Availability:</strong> If you set the availability of a file to <code>2 Day(s)</code>, then members will be able to access the file in two days after purchased. You can also set the availability to a specific date. For immediate access to a file, please set it to <code>0 Day(s)</code>.</p>
			<p><strong>Expiration:</strong> If you set the expiration of a file to <code>3 Month(s)</code>, then members will NOT be able to access the file in three months after purchased. You can also set the expiration to a specific date.</p>
			<p><strong>Basic Usage:</strong> You can link to a protected file using this special format: <code><?php echo get_bloginfo('url'); ?>?insta_file=your-file-name.zip</code>. You can also use shortcode in the post/page editor: <code>[insta_download file="your-file-name.zip"]Click Here To Download[/insta_download]</code></p>
			<p><strong>File Stream:</strong> If you want to stream a protected audio or video file using a multimedia player (e.g Flowplayer, JW Player), then you have to use a URL with special format: <code><?php echo get_bloginfo('url'); ?>?insta_file=your-video.mp4&stream=yes</code></p>
			<p style="text-align:right"><a href="#" class="stms-hide-help">(hide)</a></p>
		</div>
		
		<?php
			$files = stms_get_files();
			$totalfiles = count($files);
			$pagination = array(
					'total' => ceil($totalfiles / $perpage),
					'totalcount' => $totalfiles,
					'type' => 'files',
					'product_id' => $p->ID
				);
				
			$page_display = ( $protect_type == 'pages' ) ? 'block' : 'none';
		?>
		
		<form name="stms_files_protection" id="stms_files_protection" method="post">
			<div style="clear:both"></div>
			<?php echo stms_paginate_links($pagination, 'top'); ?>
			<table cellspacing="0" class="wp-list-table widefat fixed stms-list-protect-files">
				<thead>
					<tr>
					<th style="" class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox" id="cb-select-files-1"></th>
					<th style="" class="manage-column column-title" id="title" scope="col">Filename</th>
					<th style="" class="manage-column column-drip" scope="col">Available In</th>
					<th style="" class="manage-column column-drip" scope="col">Expired In</th>
					</tr>
				</thead>
			
				<tfoot>
				<tr>
					<th style="" class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox" id="cb-select-files-2"></th>
					<th style="" class="manage-column column-title" id="title" scope="col">Filename</th>
					<th style="" class="manage-column column-drip" scope="col">Available In</th>
					<th style="" class="manage-column column-drip" scope="col">Expired In</th>
				</tr>
				</tfoot>
				<tbody class="stms-protect-pages-data" data-loader="<?php echo STMS_URL; ?>images/ajax-loader.gif">
				<?php stms_get_protected_files($p->ID, $perpage); ?>
				</tbody>
			</table>
			<?php echo stms_paginate_links($pagination, 'bottom'); ?>
			<div style="clear:both"></div>
		</form>
		<p id="stms-protect-file-btn" style="text-align:right;">
			<input type="button" id="stms-submit-file-protect" name="stms-submit-file-protect" value="Apply Protection" class="button-primary" />
			<input type="button" value="Back" class="button" onclick="window.history.back(); return false;"/>
		</p>
		<?php endif; ?>
	</div>
	
	<?php $file_display = ( $protect_type == 's3_files' ) ? 'block' : 'none'; ?>

	<div id="stms-protect-s3-files" class="stms-admin-block" style="display:<?php echo $file_display; ?>">
		<p class="stms-inpage-help-short"><strong>Instruction:</strong> <a href="#" class="stms-show-help">(show)</a></p>
		<div class="stms-help-msg stms-inpage-help" style="display:none; margin-bottom:20px;">
			<p><strong>Instruction:</strong> Please upload all the files that you want to protect to your Amazon S3 bucket called<code><?php echo stms_cleanup($stms['integration']['s3']['bucket']); ?></code>. Once you're done, refresh this page, and your files should appear on the table below.</p>
			<p>Tick the checkbox below to tag the files for this product. Members who have bought this product will be able access the file(s).</p>
			<p><strong>Availability:</strong> If you set the availability of a file to <code>2 Day(s)</code>, then members will be able to access the file in two days after purchased. You can also set the availability to a specific date. For immediate access to a file, please set it to <code>0 Day(s)</code>.</p>
			<p><strong>Expiration:</strong> If you set the expiration of a file to <code>3 Month(s)</code>, then members will NOT be able to access the file in three months after purchased. You can also set the expiration to a specific date.</p>
			<p><strong>Basic Usage:</strong> You can link to a protected file using this special format: <code><?php echo get_bloginfo('url'); ?>?insta_file=your-file-name.zip&amp;source=s3</code>. You can also use shortcode in the post/page editor: <code>[insta_download type="s3" file="your-file-name.zip"]Click Here To Download[/insta_download]</code></p>
			<p><strong>Audio &amp; Video Streaming:</strong> Since the files are protected by InstaMember, direct link to all the files are disabled. You have to use InstaMember shortcode to stream audio or video. Example: <code>[insta_s3_video player="flowplayer" file="your-video-file-name.mp4" width="640" height="360" autoplay="1"]</code></p>
			<p style="text-align:right"><a href="#" class="stms-hide-help">(hide)</a></p>
		</div>
		
		<?php
			$files = stms_s3_get_files();
			$totalfiles = count($files);
			$pagination = array(
					'total' => ceil($totalfiles / $perpage),
					'totalcount' => $totalfiles,
					'type' => 's3_files',
					'product_id' => $p->ID
				);
				
			$page_display = ( $protect_type == 'pages' ) ? 'block' : 'none';
		?>
		<form name="stms_s3_files_protection" id="stms_s3_files_protection" method="post" action="">
			<div style="clear:both"></div>
			<?php echo stms_paginate_links($pagination, 'top'); ?>
			<table cellspacing="0" class="wp-list-table widefat fixed stms-list-protect-s3files">
				<thead>
					<tr>
					<th style="" class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox" id="cb-select-s3files-1"></th>
					<th style="" class="manage-column column-title" id="title" scope="col">Filename</th>
					<th style="" class="manage-column column-drip" scope="col">Available In</th>
					<th style="" class="manage-column column-drip" scope="col">Expired In</th>
					</tr>
				</thead>
			
				<tfoot>
				<tr>
					<th style="" class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox" id="cb-select-s3files-2"></th>
					<th style="" class="manage-column column-title" id="title" scope="col">Filename</th>
					<th style="" class="manage-column column-drip" scope="col">Available In</th>
					<th style="" class="manage-column column-drip" scope="col">Expired In</th>
				</tr>
				</tfoot>
				<tbody class="stms-protect-pages-data" data-loader="<?php echo STMS_URL; ?>images/ajax-loader.gif">
				<?php stms_get_protected_s3files($p->ID, $perpage); ?>
				</tbody>
			</table>
			<?php echo stms_paginate_links($pagination, 'bottom'); ?>
			<div style="clear:both"></div>
		</form>
		<p id="stms-protect-s3file-btn" style="text-align:right;">
			<!--<input type="hidden" name="product_id" value="<?php echo $object_id; ?>" />-->
			<!--<input type="hidden" name="action" value="stms_protect_s3files" />-->
			<input type="button" id="stms-submit-s3file-protect" name="stms-submit-s3file-protect" value="Apply Protection" class="button-primary" />
			<input type="button" value="Back" class="button" onclick="window.history.back(); return false;"/>
		</p>
		
	</div>
</div>
<?php
		break; // end of case 'protects'
	
	case 'license':
		require_once(STMS_ADMIN . 'level-license.php');
		break;
		
	case 'pay_button':
		require_once(STMS_ADMIN . 'level-buttons.php');
		break;
		
	default:
		$level_table = new stmsMemberLevel();
		$level_table->prepare_items();
?>
<div id="stms-level-table" class="stms-admin-block">
	<h2 class="stms-field-title">Manage Products <a class="add-new-h2" href="#level|mode=add">Add Product</a></h2>
	<?php if ( isset($_GET['s']) && strlen($_GET['s']) > 1 ) : ?>Search results for "<?php echo trim(urldecode($_GET['s'])); ?>" <a href="<?php echo admin_url('admin.php?page=stms-settings#level'); ?>"><small>reset search</small></a><?php endif; ?>
	<p class="search-box">
		<label class="screen-reader-text" for="stms_level-search-input">Search Product:</label>
		<input id="stms_level-search-input" type="search" value="" name="s" />
		<input class="button stms-search-submit" type="button" value="Search Product" />
	</p>
	<form id="stms-level-table" method="get">
        <input type="hidden" name="page" value="<?php echo $_REQUEST['page'] ?>" />
        <?php $level_table->display(); ?>
    </form>
    <p style="text-align:right"><a href="#level|mode=add" class="button-primary">Add New Product</a></p>
</div>
<?php
} // switch end

