<?php
$months = stms_find_monthly_dates();
$weeks = stms_find_weekly_dates();

$y = date("Y", stms_time());
$w = date("W", stms_time());
$week_days = stms_find_week_dates($w, $y);

$start = date("m/d/Y", $week_days[0]);
$end = date("m/d/Y", $week_days[6]);

$period_start = strtotime(stms_isset($_GET['start'], $start), stms_time());
$period_end = strtotime(stms_isset($_GET['end'], $end), stms_time());
?>

<div class="stms-admin-block">
	<?php if ( $m->is_aff == 1 ) : ?>
		<div id="member-edit-submenu" class="stms-desc" style="text-align:right">
			<ul id="stms-submenu">
				<li><a href="<?php echo admin_url('admin.php?page=stms-settings'); ?>&action=stms_login_as&ID=<?php echo $object_id; ?>" target="_blank"><strong>Login as '<?php echo stms_sanitize($m->username); ?>'</strong></a></li>
				<li><a href="#members|mode=accesslog&object_ID=<?php echo $object_id; ?>"><strong>Access Log</strong></a></li>
				<li><a href="#members|mode=affstats&object_ID=<?php echo $object_id; ?>" class="stms-submenu-active"><strong>Affiliate Stats</strong></a></li>
				<li><a href="#members|mode=payments&object_ID=<?php echo $object_id; ?>"><strong>Payments/Subscriptions</strong></a></li>
				<li><a href="#members|mode=edit&object_ID=<?php echo $object_id; ?>"><strong>Edit Member</strong></a></li>
				<li><a href="#members"><strong>All Members</strong></a></li>
				<li>Sub-Menu:</li>
			</ul>
			<br style="clear:right" />
		</div>
		<h2 class="stms-field-title">Affiliate Stats <span class="stms-payments-title">(username: <strong><?php echo stms_isset($m->username); ?></strong>)</span></h2>
		
		<div class="stms-admin-block">
			<div class="stms-report-searchbox">
				<input type="hidden" id="stms-report-control" value="members" />
				<input type="hidden" id="stms-report-mode" value="<?php echo stms_isset($_GET['mode'], 'affstats'); ?>" />
				<input type="hidden" id="stms-object-id" value="<?php echo $object_id; ?>" />
				<div>
					<strong>Weekly Period: </strong>&nbsp;&nbsp;
					<select id="stms-search-weekly" class="stms-field stms-weekly-payouts" style="width:180px">
						<option value=''>[ - Choose Weekly - ]</option>
						<?php
						if ( $weeks ) {
							foreach ( $weeks as $key => $val ) {
								$query = stms_isset($_GET['start'], $start) . '|' . stms_isset($_GET['end'], $end);
								$value = stms_isset($val['start']) . '|' . stms_isset($val['end']);
								$selected = ( $query == $value ) ? ' selected="selected"' : '';
								echo "<option value='{$value}'{$selected}>{$val['name']}</option>";
							}
						}
						?>
					</select>&nbsp;&nbsp;
					<strong>Monthly Period: </strong>&nbsp;&nbsp;
					<select id="stms-search-monthly" class="stms-field stms-monthly-payouts" style="width:180px">
						<option value=''>[ - Choose Monthly - ]</option>
						<?php
						if ( $months ) {
							foreach ( $months as $key => $val ) {
								$query = stms_isset($_GET['start'], $start) . '|' . stms_isset($_GET['end'], $end);
								$value = stms_isset($val['start']) . '|' . stms_isset($val['end']);
								$selected = ( $query == $value ) ? ' selected="selected"' : '';
								echo "<option value='{$value}'{$selected}>{$val['name']}</option>";
							}
						}
						?>
					</select>&nbsp;&nbsp;
					<input type="button" id="stms-search-btn" value="GO" class="button-primary" />
				</div>
			</div>
			<div class="stms-admin-block">
				<h3 style="margin-bottom:0; padding-bottom:0;">Period: <span style="color:#c4581c; font-weight:bold;"><?php echo date("F d, Y", $period_start) . ' - ' . date("F d, Y", $period_end); ?></span></h3>
				<?php
				$report = new stmsMemberComms();
				$report->prepare_items();
				?>
				<form id="stms-sales-report-table" method="get">
			        <input type="hidden" name="page" value="<?php echo $_REQUEST['page'] ?>" />
			        <?php $report->display(); ?>
			    </form>
			    
			</div>
			
		</div>
		
<?php
$summary = stms_affiliate_summary($object_id);
$currency = stms_isset($stms['global']['currency'], 'USD');
$voids = ( stms_isset($summary['all_voids'], 0.00) > 0.00 ) ? '-' . $summary['all_voids'] : 0;
$voids = ( $voids != 0 ) ? "<span style='color:#FF0000'>{$voids} {$currency}</span>" : '-';
$payouts = ( stms_isset($summary['payouts'], 0.00) < 0.00 ) ? "<span style='color:#FF0000'>{$summary['payouts']} {$currency}</span>" : (( stms_isset($summary['payouts'], 0.00) > 0.00 ) ? "<span style='color:#008900'>{$summary['payouts']} {$currency}</span>" : '-');
$paid = ( stms_isset($summary['paid'], 0.00) > 0.00 ) ? "{$summary['paid']} {$currency}" : '-';
$unpaid = ( stms_isset($summary['new_comms'], 0.00) > 0.00 ) ? "{$summary['new_comms']} {$currency}" : '-';
$owed = ( stms_isset($summary['new_voids'], 0.00) > 0.00 ) ? '-' . $summary['new_voids'] : 0;
$owed = ( $owed != 0 ) ? "<span style='color:#FF0000'>{$voids} {$currency}</span>" : '-';
$balance = ( stms_isset($summary['balance'], 0.00) < 0.00 ) ? "<span style='color:#FF0000'>{$summary['balance']} {$currency}</span>" : (( stms_isset($summary['balance'], 0.00) > 0.00 ) ? "<span style='color:#008900'>{$summary['balance']} {$currency}</span>" : '-');
$pending = ( stms_isset($summary['pending'], 0.00) > 0.00 ) ? "<span style='color:#808080'>{$summary['pending']} {$currency}</span>" : '-';
$available = ( stms_isset($summary['available'], 0.00) > 0.00 ) ? "<span style='color:#008900'>{$summary['available']} {$currency}</span>" : '-';
?>
		<div class="stms-admin-block">
			<h2 class="stms-field-title">Earning Report</h2>
			<table class="form-table" style="width:auto; margin-bottom:20px">
				<tr valign="top">
					<th scope="row" style="text-align:right; width:160px; padding-bottom:0"><?php _e('Generated Commissions:', 'stms'); ?></th>
					<td class="normal_text" style="width:100px; text-align:right; padding-bottom:0"><strong><?php echo stms_isset($summary['all_commissions'], 0.00); ?> <?php echo stms_isset($stms['global']['currency'], 'USD'); ?></strong></td>
				</tr>
				<tr valign="top">
					<th scope="row" style="text-align:right; width:160px; padding-bottom:0"><?php _e('Total Voided Commissions:', 'stms'); ?></th>
					<td class="normal_text" style="width:100px; text-align:right; padding-bottom:0"><strong><?php echo $voids; ?></strong></td>
				</tr>
				<tr valign="top">
					<th scope="row" style="text-align:right; width:160px; padding-bottom:0"><strong><?php _e('Total Commissions (net):', 'stms'); ?></strong></th>
					<td class="normal_text" style="width:100px; text-align:right; padding-bottom:0"><strong><?php echo $payouts; ?></strong></td>
				</tr>
			</table>
			<table class="form-table" style="width:auto; margin-bottom:20px">
				<tr valign="top">
					<th scope="row" style="text-align:right; width:160px; padding-bottom:0"><?php _e('Paid Commissions:', 'stms'); ?></th>
					<td class="normal_text" style="width:100px; text-align:right; padding-bottom:0"><strong><?php echo $paid; ?></strong></td>
				</tr>
				<tr valign="top">
					<th scope="row" style="text-align:right; width:160px; padding-bottom:0"><?php _e('Unpaid Commissions:', 'stms'); ?></th>
					<td class="normal_text" style="width:100px; text-align:right; padding-bottom:0"><strong><?php echo $unpaid; ?></strong></td>
				</tr>
				<tr valign="top">
					<th scope="row" style="text-align:right; width:160px; padding-bottom:0"><?php _e('Amount Owed (voided):', 'stms'); ?></th>
					<td class="normal_text" style="width:100px; text-align:right; padding-bottom:0"><strong><?php echo $owed; ?></strong></td>
				</tr>
				
				<tr valign="top">
					<th scope="row" style="text-align:right; width:160px; padding-bottom:0"><strong><?php _e('Current Balance (net):', 'stms'); ?></strong></th>
					<td class="normal_text" style="width:100px; text-align:right; padding-bottom:0"><strong><?php echo $balance; ?></strong></td>
				</tr>
			</table>
			<table class="form-table" style="width:auto;">
				<tr valign="top">
					<th scope="row" style="text-align:right; width:160px; padding-bottom:0"><?php _e('Pending Commissions:', 'stms'); ?></th>
					<td class="normal_text" style="width:100px; text-align:right; padding-bottom:0"><strong><?php echo $pending; ?></strong></td>
				</tr>
				<tr valign="top">
					<th scope="row" style="text-align:right; width:160px; padding-bottom:0"><strong><?php _e('Available for Payout:', 'stms'); ?></strong></th>
					<td class="normal_text" style="width:100px; text-align:right; padding-bottom:0"><strong><?php echo $available; ?></strong></td>
				</tr>
			</table>
		</div>
	<?php else: ?>
		<p><em>ERROR: There's no affiliate stats for this member. This member is not an affiliate.</em></p>
		<p><a href="#" class="button" onclick="window.history.back(); return false">Back</a></p>
	<?php endif; ?>
</div>