jQuery(document).ready(function($){
	$('body').delegate('.del-this-field', 'click', function(e){
		var $this = $(this), type = $this.data('type');
		$this.parent().parent().hide("slow").remove();
		$('.stms-field-' + type).show();
		return false;
	});
});
function _stms_admin($) {
	_stms_ajax_save($);
	_stms_click_bind($);
	_stms_validate_member_form($);
	_stms_table_func($);
	_stms_first_payment($);
	_stms_save_manual_payment($);
	_stms_membership_level($);
	_stms_validate_level_form($);
	_stms_protect_content($);
	_stms_email_setup($);
	_stms_toggle_check($);
	_stms_forms_edit($);
	
	
	$('#insta-welcome-video').colorbox({iframe:true, innerWidth:640, innerHeight:360, scrolling:false});
	$('.insta_video_help').colorbox({iframe:true, innerWidth:640, innerHeight:360, scrolling:false});
	
	$('#import_skip_first').click(function(e){
		if ( this.checked == true ) {
			$('#stms-import-table tbody tr:first-child').hide();
		} else {
			$('#stms-import-table tbody tr:first-child').show();
		}
	});
	
	// jqueryui tabs
	$("#stms-ar-tabs").tabs();
	$("#stms-web-tabs").tabs();
	
	// Toggle Settings
	$('.stms-toggle').each(function(){
		var dis = $(this);
		$(this).click(function(){
			var $this = $(this);
			var status = $this.data('open');
			if ( status == 'no' ) {
				$this.parent().next().fadeIn("medium");
				$this.text('-');
				$this.data('open', 'yes');
			} else {
				$this.parent().next().fadeOut("medium");
				$this.text('+');
				$this.data('open', 'no');
			}
		});
		
		var base_status = dis.data('open');
		if ( base_status == 'no' )
			dis.parent().next().hide();
		else
			dis.parent().next().show();
	});
	
	// Checkboxes
	$('#cb-select-all-1').click(function(){
		$(this).parents('table:eq(0)').find(':checkbox').attr('checked', this.checked);
	});
	$('#cb-select-all-2').click(function(){
		$(this).parents('table:eq(0)').find(':checkbox').attr('checked', this.checked);
	});
	
	$('#cb-select-posts-1').click(function(){
		var pars = $(this).parents('table.stms-list-protect-posts:eq(0)');
		pars.find(':checkbox.stms_enable_protect').attr('checked', this.checked);
		if ( this.checked == true ) {
			pars.find('.protect-drip-start').removeAttr('readonly');
			pars.find('.protect-drip-start-mode').removeAttr('disabled');
			pars.find('.smts-enable-exp').removeAttr('disabled');
			pars.find('.protect-removed').val('no');
		} else {
			pars.find('.protect-drip-start').val(0).datepicker("destroy");
			pars.find('.protect-drip-start-mode').val('day');
			pars.find('.protect-drip-end').val(30).datepicker("destroy");
			pars.find('.protect-drip-end-mode').val('day');
			pars.find('.stms-exp-val').hide();
			pars.find('.protect-drip-start').attr('readonly', true);
			pars.find('.protect-drip-start-mode').attr('disabled', true);
			pars.find('.smts-enable-exp').attr('disabled', true).removeAttr('checked');
			pars.find('.protect-removed').val('yes');
		}
	});
	
	$('#cb-select-pages-1, #cb-select-pages-2').click(function(){
		var pars = $(this).parents('table.stms-list-protect-pages:eq(0)');
		pars.find(':checkbox.stms_enable_protect').attr('checked', this.checked);
		if ( this.checked == true ) {
			pars.find('.protect-drip-start').removeAttr('readonly');
			pars.find('.protect-drip-start-mode').removeAttr('disabled');
			pars.find('.smts-enable-exp').removeAttr('disabled');
			pars.find('.protect-removed').val('no');
		} else {
			pars.find('.protect-drip-start').val(0).datepicker("destroy");
			pars.find('.protect-drip-start-mode').val('day');
			pars.find('.protect-drip-end').val(30).datepicker("destroy");
			pars.find('.protect-drip-end-mode').val('day');
			pars.find('.stms-exp-val').hide();
			pars.find('.protect-drip-start').attr('readonly', true);
			pars.find('.protect-drip-start-mode').attr('disabled', true);
			pars.find('.smts-enable-exp').attr('disabled', true).removeAttr('checked');
			pars.find('.protect-removed').val('yes');
		}
	});
	
	$('#cb-select-files-1, #cb-select-files-2').click(function(){
		var pars = $(this).parents('table.stms-list-protect-files:eq(0)');
		pars.find(':checkbox.stms_enable_protect').attr('checked', this.checked);
		if ( this.checked == true ) {
			pars.find('.protect-drip-start').removeAttr('readonly');
			pars.find('.protect-drip-start-mode').removeAttr('disabled');
			pars.find('.smts-enable-exp').removeAttr('disabled');
			pars.find('.protect-removed').val('no');
		} else {
			pars.find('.protect-drip-start').val(0).datepicker("destroy");
			pars.find('.protect-drip-start-mode').val('day');
			pars.find('.protect-drip-end').val(30).datepicker("destroy");
			pars.find('.protect-drip-end-mode').val('day');
			pars.find('.stms-exp-val').hide();
			pars.find('.protect-drip-start').attr('readonly', true);
			pars.find('.protect-drip-start-mode').attr('disabled', true);
			pars.find('.smts-enable-exp').attr('disabled', true).removeAttr('checked');
			pars.find('.protect-removed').val('yes');
		}
	});
	
	$('#cb-select-s3files-1, #cb-select-s3files-2').click(function(){
		var pars = $(this).parents('table.stms-list-protect-s3files:eq(0)');
		pars.find(':checkbox.stms_enable_protect').attr('checked', this.checked);
		if ( this.checked == true ) {
			pars.find('.protect-drip-start').removeAttr('readonly');
			pars.find('.protect-drip-start-mode').removeAttr('disabled');
			pars.find('.smts-enable-exp').removeAttr('disabled');
			pars.find('.protect-removed').val('no');
		} else {
			pars.find('.protect-drip-start').val(0).datepicker("destroy");
			pars.find('.protect-drip-start-mode').val('day');
			pars.find('.protect-drip-end').val(30).datepicker("destroy");
			pars.find('.protect-drip-end-mode').val('day');
			pars.find('.stms-exp-val').hide();
			pars.find('.protect-drip-start').attr('readonly', true);
			pars.find('.protect-drip-start-mode').attr('disabled', true);
			pars.find('.smts-enable-exp').attr('disabled', true).removeAttr('checked');
			pars.find('.protect-removed').val('yes');
		}
	});
	
	if ( $('.stms-msg-fadeout').length ) {
		setTimeout(function(){
			$('.stms-msg-fadeout').fadeOut("medium");
		}, 4000);
	}
	
	if ( $('.stms-member-msg').length ) {
		setTimeout(function(){
			$('.stms-member-msg').fadeOut("medium");
		}, 4000);
	}
	
	$('.stms-show-help').each(function(){
		$(this).click(function(e){
			var $this = $(this);
			$this.parent().hide();
			$this.parent().parent().find('.stms-inpage-help').fadeIn("medium");
			
			e.preventDefault();
		});
	});
	
	$('.stms-hide-help').each(function(){
		$(this).click(function(e){
			var $this = $(this);
			$this.parent().parent().hide();
			$this.parent().parent().parent().find('.stms-inpage-help-short').fadeIn("medium");
			
			e.preventDefault();
		});
	});
	
	// Affiliate Setup
	$('#stms_aff_responder').change(function(){
		var option = $("option:selected", this).val();
		$('.responder-aff-list').hide();
		$('.responder-aff-' + option).fadeIn("medium");
	}).change();
	
	// Integration
	$('.stms_aweber_connect').click(function(){
		if ( $('#stms_aw_key').val() == '' || $('#stms_aw_secret_key').val() == '' ) {
			alert('ERROR: Aweber Consumer Key or Secret Key is missing.')
			return false;
		} else
			return true;
	});
	
	// Broadcast
	$("input:radio[name=stms_recipients]").click(function(){
		if ( $(this).val() == 2 ) {
			$('#stms-segmentation').show();
			$('#stms-segmentation-2').hide();
		} else if ( $(this).val() == 3 ) {
			$('#stms-segmentation').hide();
			$('#stms-segmentation-2').show();
		} else {
			$('#stms-segmentation').hide();
			$('#stms-segmentation-2').hide();
		}
	});
	
	$('.stms_constantcont_connect').click(function(){
		if ( $('#stms_cc_key').val() == '' || $('#stms_cc_secret_key').val() == '' ) {
			alert('ERROR: ConstantContact Consumer Key or Secret Key is missing.')
			return false;
		} else
			return true;
	});
	
	// URLs
	$('.stms-copy-slug').each(function(){
		$(this).click(function(e){
			var $this = $(this), url = $this.data('url');
			window.prompt("Copy to clipboard: Ctrl+C, Enter", url);
			e.preventDefault();
		});
	});
	
	$('.stms-edit-slug').each(function(){
		$(this).click(function(e){
			var $this = $(this);
			$this.parent().parent().find('.stms-slug-txt').hide();
			$this.parent().parent().find('.stms-slug-edit').show();
			e.preventDefault();
		});
	});
	
	$('.stms-cancel-slug').each(function(){
		$(this).click(function(e){
			var $this = $(this);
			$this.parent().parent().find('.stms-slug-txt').show();
			$this.parent().parent().find('.stms-slug-edit').hide();
			e.preventDefault();
		});
	});
	
	$('.stms-save-slug').each(function(){
		$(this).click(function(e){
			var $this = $(this), edit = $this.parent().parent().find('.stms-slug-edit'),
			_type = $this.data('slug'),
			_slug_name = edit.find('.stms-slug-name').val();
			
			$this.hide();
			$this.parent().find('.stms-cancel-slug').hide();
			$.post(ajaxurl, {
				action: 'stms_change_slug',
				type: _type,
				slug_name: _slug_name
		  	}, function ( response ) {
		  		$this.show();
				$this.parent().find('.stms-cancel-slug').show();
				if ( response != 'error' ) {
					var str = response.split('|');
					edit.find('.stms-slug-name').val(str[0]);
					$this.parent().parent().find('.stms-slug-url').text(str[1]);
					$this.parent().parent().find('.stms-copy-slug').data('url', str[1]);
				}
				$this.parent().parent().find('.stms-slug-edit').hide();
				$this.parent().parent().find('.stms-slug-txt').fadeIn("medium");
		  	});
			
			e.preventDefault();
		});
	});
	
	// Test Email...
	$('#stms-send-testmail').click(function(e){
		var $this = $(this),
		_sender_email = $('#stms_admin_email').val(),
		_target_email = $('#stms_target_email').val(),
		mailsys = $('#stms_mailsys').val();
		
		if ( _target_email == '' ) {
			alert('Please enter an email address.');
			$('#stms_target_email').focus();
			return false;	
		}
		
		$('#test-email-loader').show();
		$this.hide();
		$.post(ajaxurl, {
			action: 'stms_test_email',
			target_email: _target_email
	  	}, function ( response ) {
	  		$('#test-email-loader').hide();
			$this.show();

			if ( response == 'ok' ) {
				alert('Test email has been successfully sent.');
			} else if ( response == 'invalid' ) {
				alert('Please enter a valid email address.');
			} else {
				if ( mailsys == 'ses' )
					alert('ERROR: Cannot sent test email.\nMake sure the sender email address has been verified in your SES account.\nIf you don\'t have SES full production access, then you must verify the recipient email address too.');
				else
					alert('ERROR: Cannot sent test email. Please check your settings, and try again.');
			}
	  	});
			
		e.preventDefault();
	});
	
	// jQuery UI Multi-Select Widget
	$('.stms-multiselect').each(function(){
		$(this).multiselect();	
	});
	
	$('#stms_exp_products').multiselect({
		noneSelectedText: 'All Members',
		selectedList: 2,
		minWidth: 420,
	});
	
	$('#stms_imp_products').multiselect({
		noneSelectedText: 'No Product Access',
		selectedList: 2,
		minWidth: 420,
	});
	
	$('#stms_exp_fields').multiselect({
		noneSelectedText: 'Select Field(s)',
		selectedList: 5,
		minWidth: 420,
		classes: 'my-select'
	});
	
	$.validator.addMethod("needsSelection", function(value, element) {
        return $(element).multiselect("getChecked").length > 0;
    });
    
    $.validator.messages.needsSelection = 'Please choose at least one field.';
    
    $('#stms_export_members').validate({
    rules: {
        "stms_exp_fields[]": "needsSelection",
    },
    ignore: ':hidden:not("#stms_exp_fields")', // Tells the validator to check the hidden select
    errorPlacement: function(error, element) {
    	error.appendTo( element.parent() );
	},
    errorClass: 'stms-field-error'
    });
    
	var num = 10;
	for ( var i = 0; i < num; i++ ) {
		var btn_id = $('#stms_drip_btn' + i);
		$('#content_access' + i).multiselect({
			noneSelectedText: 'Select Product(s)',
			beforeopen: function(){
				btn_id.removeAttr("disabled");
			},
			close: function(){
				if ( $(this).val() != null ) {
					alert($(this).val());
				}
		   }
		}); 
	}
	
	// Drip-Feed Settings
	$('.stms-drip-btn').each(function(){
		$(this).click(function(e){
			var $this = $(this),
			modal = $this.parent().find('.stms-drip-box'),
			select_id = $('#' + $this.data('select'));
			
			if ( select_id.val() == null ) {
				alert('no');
			} else {
				$this.colorbox({
					inline: true,
					href: modal,
					opacity: '0.6',
					width: '640'
				});
			}
			
			e.preventDefault();
		});
	});
	
	// Synchronize button...
	$('.stms-sync-btn').click(function(e){
		var modal = $('#sync-box');
		var url = $(this).attr('href');
		$(this).colorbox({
			inline: true,
			href: modal,
			opacity: '0.6',
			width: '640',
			escKey: false,
			overlayClose: false,
			onLoad: function() {
				$('#cboxClose').remove();
			},
			onComplete: function() {
				window.location.href = url;
			}
		});
		e.preventDefault();
	});
	
	// Import button...
	$('form#stms_final_import_members').submit(function(){
		$('input[type=submit]', this).attr({
			disabled: 'disabled',
			value: 'Importing, Please Wait... ' 
		});
		$('.last-import-back').hide();
	});
	
	$('.stms-drip-selector').each(function(){
		$(this).change(function(){
			alert('ok');
		});
	});
	
	// jQuery UI Accordion
	$('#stms-direct-payarc').accordion({
		active: false,
		collapsible: true,
		heightStyle: "content"
	});
	$('#stms-third-payarc').accordion({
		active: false,
		collapsible: true,
		heightStyle: "content"
	});
	$('#stms-paylink-arc').accordion({
		active: false,
		collapsible: true,
		heightStyle: "content"
	});
	// Reports...
	$('#stms-search-start').datepicker();
	$('#stms-search-end').datepicker();
	$('#stms_reglink_expire').datepicker();
	$('#discount_cexpire').datepicker();
	
	$('#stms_reglink_expire_mode').change(function(){
		var option = $("option:selected", this).val();
		if ( option == 'date' )
			$('#stms_reglink_expire').show();
		else
			$('#stms_reglink_expire').hide();
	}).change();
	
	$('#stms-search-range').change(function(){
		var option = $("option:selected", this).val();
		var control = $('#stms-report-control').val();
		var mode = $('#stms-report-mode').val();
		var new_hash = 'reports|';
		if ( control != '' && control != undefined )
			var new_hash = control + '|';
		if ( mode != '' && mode != undefined )
			new_hash += 'mode=' + mode;
		new_hash += '&range=' + option;
		window.location.hash = new_hash;
	});
	
	$('#stms-search-btn').click(function(e){
		var mode = $('#stms-report-mode').val(),
		start = $('#stms-search-start').val(),
		end = $('#stms-search-end').val(),
		s = $('#stms-search-s').val(),
		object_id = $('#stms-object-id').val(),
		product_id = $('#stms-search-product').val(),
		status = $('#stms-search-trans').val(),
		sort = $('#stms-search-sort').val(),
		sortm = $('#stms-search-sortm').val(),
		aff_status = $('#stms-search-aff').val(),
		py_status = $('#stms-search-pystatus').val(),
		row_num = $('#stms-per-page').val(),
		control = $('#stms-report-control').val(),
		monthly = $('#stms-search-monthly').val(),
		weekly = $('#stms-search-weekly').val(),
		new_hash = 'reports|';
		
		if ( control != '' && control != undefined )
			var new_hash = control + '|';
		if ( mode != '' && mode != undefined )
			new_hash += 'mode=' + mode;
		if ( object_id != '' && object_id != undefined )
			new_hash += '&object_ID=' + object_id;
		if ( start != undefined )
			new_hash += '&start=' + start;
		if ( end != undefined )
			new_hash += '&end=' + end;
		if ( s != '' && s != undefined )
			new_hash += '&s=' + s.replace(/ /g, '+');
		if ( product_id != '' && product_id != undefined )
			new_hash += '&product_id=' + product_id;
		if ( status != '' && status != undefined )
			new_hash += '&status=' + status;
		if ( sort != '' && sort != undefined )
			new_hash += '&sort=' + sort;
		if ( sortm != '' && sortm != undefined )
			new_hash += '&sortm=' + sortm;
		if ( aff_status != '' && aff_status != undefined )
			new_hash += '&aff_status=' + aff_status;
		if ( py_status != '' && py_status != undefined )
			new_hash += '&py_status=' + py_status;
		if ( row_num != '' && row_num != undefined )
			new_hash += '&row_num=' + row_num;
		if ( monthly != '' && monthly != undefined ) {
			var m = monthly.split("|");
			new_hash += '&start=' + m[0] + '&end=' + m[1];
		}
		if ( weekly != '' && weekly != undefined ) {
			var w = weekly.split("|");
			new_hash += '&start=' + w[0] + '&end=' + w[1];
		}
		
		window.location.hash = new_hash;
	});
	
	$('.stms-weekly-payouts').change(function(){
		$('.stms-monthly-payouts').val('');
	});
	
	$('.stms-monthly-payouts').change(function(){
		$('.stms-weekly-payouts').val('');
	});
	
	$('.ext-aff-btn').click(function(e){
		$(this).hide();
		$('.ext-aff-info').show('medium');
		e.preventDefault();
	});
	
	$('.ext-aff-close').click(function(e){
		$('.ext-aff-btn').show();
		$('.ext-aff-info').hide('medium');
		e.preventDefault();
	});
	
	$('.stms-qtip').qtip({
		position: {
    		corner: {
    			tooltip: 'leftMiddle',
    			target: 'rightMiddle'
    		}
    	},
		style: {
			classes: 'qtip-youtube',
		}
	});
	
	$('.stms-last-integrate:last-of-type').css('border', 'none');
	
	_stms_addons_js();
	_stms_jqplot();
}

function _stms_forms_edit($) {
	$('#stms-edit-form').sortable({
        items: "li:not(.ui-state-disabled)",
        placeholder: "ui-state-highlight"
    });
    $('.del-this-field').each(function(){
		$(this).click(function(e){
			var $this = $(this), type = $this.data('type');
			$this.parent().parent().hide("slow").remove();
			$('.stms-field-' + type).parent().show();
			e.preventDefault();
		});
	});
	
	$('.stms-new-field').each(function(){
		$(this).click(function(e){
			var $this = $(this), field = '', type = $this.data('type'),
			clone = $this.data('clone'), def_val = $this.data('default'),
			disabled = ( type == 'password' ) ? ' disabled' : '', 
			checked = ( type == 'password' ) ? ' checked="checked"' : '';
			
			field = '<li class="ui-state-default" style="padding-top:5px; padding-bottom:5px;">';
			field += '<span class="ui-icon ui-icon-arrowthick-2-n-s"></span> ' + def_val + ' Field &nbsp-&nbsp;';
			field += '<input type="hidden" name="stms_sets[fields][]" value="' + type + '" />';
			field += '<span style="font-weight:normal">Label:</span>&nbsp;<input type="text" name="stms_sets[labels][' + type + ']" value="' + def_val + '" />&nbsp;';
			field += '<input type="checkbox" name="stms_sets[required][' + type + ']" value="1"' + checked + disabled + ' /> <span style="font-weight:normal">(required)</span>';
			field += '<div class="stms-remove-field"><a href="#" class="del-this-field" alt="Remove" title="Remove"></a></div>';
			field += '</li>';
			
			$('ul#stms-form-sortable').append(field);
			$this.parent().hide();
				
			e.preventDefault();
		});
	});
}

function _stms_email_setup($) {
	$('.stms-edit-email').each(function(){
		$(this).click(function(e){
			var $this = $(this), mac_pass, mac_type;
			var subtitle = $this.data('subtitle');
			var _type = $this.data('emailtype');
			$('#stms-email-selector').hide();
			$('#stms-email-loader').show();
			$('.main-emails-btn').hide();
			
			if ( _type == 'signedup' ) {
				mac_pass = 'yes';
				mac_type = 'global';
			} else if ( _type == 'forgot' ) {
				mac_pass = 'no';
				mac_type = 'forgot';
			} else if ( _type == 'receipt' || _type == 'cancel' || _type == 'admin_receipt' || _type == 'admin_cancel') {
				mac_pass = 'no';
				mac_type = 'transactional';
			} else if ( _type == 'commission' || _type == 'admin_commission' ) {
				mac_pass = 'no';
				mac_type = 'aff_transactional';
			} else {
				mac_pass = 'no';
				mac_type = 'global';
			}
			
			$.post(ajaxurl, {
				action: 'stms_merge_tags',
				pass: mac_pass,
				type: mac_type	  		
		  	}, function(response){
		  		$('#stms_merge_tags')
		  		.removeAttr('disabled')
		  		.html(response);
		  	});
					  	
			if ( $('#email_lastload').val() != $this.data('emailtype') ) {
				$.ajax({
					  url: ajaxurl + '?callback=?&action=stms_email_template',
					  dataType: 'jsonp',
					  data: { type: _type },
					  success: function(response) {
					  	$('#stms_fromname').val(response.fromname);
					  	$('#stms_frommail').val(response.frommail);
					  	$('#stms_email_subject').val(response.subject);
					  	$('#stms_email_body').val(response.body);
					  	$('#stms_email_save_type').val(_type);
					  	
					  	$('#edit-email-subtitle').text(subtitle);
					  	$('#stms-emails-settings').hide();
					  	$('#stms-email-loader').hide();
					  	$('#stms-emailsets-form').show("medium");
					  	
					  	if ( _type == 'admin_receipt' || _type == 'admin_cancel' ) {
					  		$('.stms-user-email-prop').hide();
					  	} else {
					  		$('.stms-user-email-prop').show();
					  	}
					  	
					  	$('#email_lastload').attr('value', $this.data('emailtype'));
					  }
				});
			} else {
				$('#edit-email-subtitle').text(subtitle);
				$('#stms-emails-settings').hide();
				$('#stms-email-loader').hide();
				$('#stms-emailsets-form').show("medium");
			}
			e.preventDefault();
		});
	});
	
	$('#stms-save-email').click(function(e){
		var $this = $(this);
		$('#stms-emailsave-loader').show();
		$('#stms-email-template').hide();
		$('#stms-email-template-btn').hide();
		var data = {
					action: 'stms_save_email',
					fromname: $('#stms_fromname').val(),
					frommail: $('#stms_frommail').val(),
					subject: $('#stms_email_subject').val(),
					body: $('#stms_email_body').val(),
					type: $('#stms_email_save_type').val()
			};
			
		$.post(ajaxurl, data, function(response){
			$("html, body").animate({ scrollTop: 0 }, 600);
			$('#stms-emailsave-loader').hide();
			$('#stms-email-template').show();
			$('#stms-email-template-btn').show();
			if ( response == 'ok' ) {
				$this.parent().parent().find('.stms-update-msg').show("medium");
				setTimeout(function(){
					$this.parent().parent().find('.stms-update-msg').fadeOut("medium");
				}, 4000);
			}
		});
		e.preventDefault();
	});
	
	$('#stms-cancel-email').click(function(e){
		$('#stms-email-selector').show();
		$('#stms-emailsets-form').hide();
		$('.main-emails-btn').show();
		$('#stms-emails-settings').show("medium");
		e.preventDefault();
	});
	
	$('#stms_mailsys').change(function(){
		var option = $("option:selected", this).val();
		if ( option == 'ses' ) {
			$('.stms-aws-ses').show();
			$('.stms-smtp').hide();
		} else if ( option == 'smtp' ) {
			$('.stms-aws-ses').hide();
			$('.stms-smtp').show();
		} else {
			$('.stms-aws-ses').hide();
			$('.stms-smtp').hide();
		}
	}).change();
	
	$('#stms_merge_tags').change(function(){
		var option = $("option:selected", this).val();
		$('textarea#stms_email_body').insertAtCaret(option);
		$(this).val('');
	});
}

function _stms_protect_content($) {
   $('#stms-submit-protect').click(function(){
    	var mode = $('#stms_protect_type').val(),
    	_post = $('form#stms_' + mode + '_protection').serialize();
    	
    	$('#stms-protect-loader').show();
    	$('#stms-protect-form').hide();
    	$('#stms-protect-posts').hide();
    	$('#stms-protect-pages').hide();
    	$('#stms-protect-categories').hide();
    	$('#stms-protect-files').hide();
    	$('#stms-protect-s3-files').hide();
    	$('#stms-protect-btn').hide();
    	$.post(ajaxurl, {
    		action: 'stms_apply_protect',
    		type: mode,
    		product_id: $('#protect_level_id').val(),
    		post: _post
    	}, function(response){
    		$('#stms-protect-loader').hide();
    		$('#stms-protect-form').show("medium");
    		$('#stms-protect-' + mode).show("medium");
    		$('#stms-protect-btn').show();
    		if ( response == 'ok' ) {
    			$("html, body").animate({ scrollTop: 0 }, 600);
    			$('#stms-protect-area').find('.stms-update-msg').show();
    			setTimeout(function(){
    				$('#stms-protect-area').find('.stms-update-msg').fadeOut("medium");
    			}, 3000);
    		}
    	});
    });
    
    $('#stms-submit-file-protect').click(function(){
    	var _post = $('form#stms_files_protection').serialize();
    	
    	$('#stms-protect-loader').show();
    	$('#stms-protect-form').hide();
    	$('#stms-protect-posts').hide();
    	$('#stms-protect-pages').hide();
    	$('#stms-protect-categories').hide();
    	$('#stms-protect-files').hide();
    	$('#stms-protect-s3-files').hide();
    	$('#stms-protect-file-btn').hide();
    	$.post(ajaxurl, {
    		action: 'stms_apply_file_protect',
    		type: 'file',
    		product_id: $('#protect_level_id').val(),
    		post: _post
    	}, function(response){
    		$('#stms-protect-loader').hide();
    		$('#stms-protect-form').show("medium");
    		$('#stms-protect-files').show("medium");
    		$('#stms-protect-file-btn').show();
    		if ( response == 'ok' ) {
    			$("html, body").animate({ scrollTop: 0 }, 600);
    			$('#stms-protect-area').find('.stms-update-msg').show();
    			setTimeout(function(){
    				$('#stms-protect-area').find('.stms-update-msg').fadeOut("medium");
    			}, 3000);
    		}
    	});
    });
    
    $('#stms-submit-cat-protect').click(function(){
    	var _post = $('form#stms_categories_protection').serialize();
    	
    	$('#stms-protect-loader').show();
    	$('#stms-protect-form').hide();
    	$('#stms-protect-posts').hide();
    	$('#stms-protect-pages').hide();
    	$('#stms-protect-categories').hide();
    	$('#stms-protect-files').hide();
    	$('#stms-protect-s3-files').hide();
    	$('#stms-protect-cat-btn').hide();
    	$.post(ajaxurl, {
    		action: 'stms_apply_categories_protect',
    		type: 'categories',
    		product_id: $('#protect_level_id').val(),
    		post: _post
    	}, function(response){
    		$('#stms-protect-loader').hide();
    		$('#stms-protect-form').show("medium");
    		$('#stms-protect-categories').show("medium");
    		$('#stms-protect-cat-btn').show();
    		if ( response == 'ok' ) {
    			$("html, body").animate({ scrollTop: 0 }, 600);
    			$('#stms-protect-area').find('.stms-update-msg').show();
    			setTimeout(function(){
    				$('#stms-protect-area').find('.stms-update-msg').fadeOut("medium");
    			}, 3000);
    		}
    	});
    });
    
    $('#stms-submit-s3file-protect').click(function(){
    	var _post = $('form#stms_s3_files_protection').serialize();
    	
    	$('#stms-protect-loader').show();
    	$('#stms-protect-form').hide();
    	$('#stms-protect-posts').hide();
    	$('#stms-protect-pages').hide();
    	$('#stms-protect-categories').hide();
    	$('#stms-protect-files').hide();
    	$('#stms-protect-s3-files').hide();
    	$('#stms-protect-s3file-btn').hide();
    	$.post(ajaxurl, {
    		action: 'stms_apply_s3file_protect',
    		type: 's3file',
    		product_id: $('#protect_level_id').val(),
    		post: _post
    	}, function(response){
    		$('#stms-protect-loader').hide();
    		$('#stms-protect-form').show("medium");
    		$('#stms-protect-s3-files').show("medium");
    		$('#stms-protect-s3file-btn').show(); 
    		if ( response == 'ok' ) {
    			$("html, body").animate({ scrollTop: 0 }, 600);
    			$('#stms-protect-area').find('.stms-update-msg').show();
    			setTimeout(function(){
    				$('#stms-protect-area').find('.stms-update-msg').fadeOut("medium");
    			}, 3000);
    		}
    	});
    });
    
    $('#stms_protect_type').change(function(){
    	var option = $("option:selected", this).val();
    	if ( option == 'posts' ) {
    		$('#stms-protect-pages').hide();
    		$('#stms-protect-files').hide();
    		$('#stms-protect-s3-files').hide();
    		$('#stms-protect-categories').hide();
    		$('#stms-protect-posts').fadeIn("medium");
    		$('#stms-protect-btn').show();
    	} else if ( option == 'pages' ) {
    		$('#stms-protect-posts').hide();
    		$('#stms-protect-files').hide();
    		$('#stms-protect-s3-files').hide();
    		$('#stms-protect-categories').hide();
    		$('#stms-protect-pages').fadeIn("medium");
    		$('#stms-protect-btn').show();
    	} else if ( option == 'categories' ) {
    		$('#stms-protect-posts').hide();
    		$('#stms-protect-files').hide();
    		$('#stms-protect-pages').hide();
    		$('#stms-protect-s3-files').hide();
    		$('#stms-protect-categories').fadeIn("medium");
    		$('#stms-protect-btn').hide();
    	} else if ( option == 'files' ) {
    		$('#stms-protect-posts').hide();
    		$('#stms-protect-pages').hide();
    		$('#stms-protect-categories').hide();
    		$('#stms-protect-s3-files').hide();
    		$('#stms-protect-files').fadeIn("medium");
    		$('#stms-protect-btn').hide();
    	} else if ( option == 's3_files' ) {
    		$('#stms-protect-posts').hide();
    		$('#stms-protect-pages').hide();
    		$('#stms-protect-files').hide();
    		$('#stms-protect-categories').hide();
    		$('#stms-protect-s3-files').fadeIn("medium");
    		$('#stms-protect-btn').hide();
    	}
    }).change();
    
    $('.stms_enable_protect').each(function(){
    	$(this).click(function(){
    		if ( this.checked == true ) {
    			$(this).parent().parent().find('.protect-drip-start').removeAttr('readonly');
    			$(this).parent().parent().find('.protect-drip-start-mode').removeAttr('disabled');
    			$(this).parent().parent().find('.smts-enable-exp').removeAttr('disabled');
    			$(this).parent().parent().find('.protect-removed').val('no');
    		} else {
    			$(this).parent().parent().find('.protect-drip-start').val(0).datepicker("destroy");
    			$(this).parent().parent().find('.protect-drip-start-mode').val('day');
    			$(this).parent().parent().find('.protect-drip-end').val(30).datepicker("destroy");
    			$(this).parent().parent().find('.protect-drip-end-mode').val('day');
    			$(this).parent().parent().find('.stms-exp-val').hide();
    			$(this).parent().parent().find('.protect-drip-start').attr('readonly', true);
    			$(this).parent().parent().find('.protect-drip-start-mode').attr('disabled', true);
    			$(this).parent().parent().find('.smts-enable-exp').attr('disabled', true).removeAttr('checked');
    			$(this).parent().parent().find('.protect-removed').val('yes');
    		}
    	});
    });
    
    $('.smts-enable-exp').each(function(){
		$(this).click(function(){
			var $this = $(this);
			if ( this.checked == true )
				$this.parent().parent().find('.stms-exp-val').show();
			else
				$this.parent().parent().find('.stms-exp-val').hide();
		});
	});
	
	$('.protects-date').each(function(){
		var dis = $(this);
		$(this).change(function(){
			var $this = $(this), option = $("option:selected", this).val(),
			currentTime = new Date(), month = currentTime.getMonth() + 1,
			day = currentTime.getDate(), year = currentTime.getFullYear(),
			num = ( $this.parent().find('.protect-drip-end').length ) ? '30' : '0';
			
			if ( option == 'exact' ) {
				$this.parent().find('.protect-date-field')
				.val(month + '/' + day + '/' + year)
				.datepicker();
			} else {
				$this.parent().find('.protect-date-field')
				.val(num)
				.datepicker("destroy");
			}
		});
		
		if ( dis.val() == 'exact' ) {
			dis.parent().find('.protect-date-field').datepicker();
		} else {
			dis.parent().find('.protect-date-field').datepicker("destroy");
		}
	});
}

function _stms_membership_level($) {
	$('#stms_gateway_type').change(function(){
		var option = $("option:selected", this).val();
		if ( option == 'direct' ) {
			$('.smts-direct-pay').show();
			$('.smts-third-pay').hide();
		} else {
			$('.smts-direct-pay').hide();
			$('.smts-third-pay').show();
		}
	}).change();
	$('#stms_aff_status').change(function(){
		var option = $("option:selected", this).val();
		if ( option == 'active' ) {
			$('.stms-aff-sets').show();
		} else {
			$('.stms-aff-sets').hide();
		}
	}).change();
	$('#stms-level-sortable').sortable({
        items: "li:not(.ui-state-disabled)",
        placeholder: "ui-state-highlight",
        update: function(event, ui) {
            var newOrdering = $(this).sortable('toArray');
		    var l = "orderflow_".length;
		    var newOrderIds = new Array(newOrdering.length);
		    var ctr = 0;
		    // Loop over each value in the array and get the ID
		    $.each(
		      newOrdering,
		      function(intIndex, objValue) {
		        newOrderIds[ctr] = objValue.substring(l,objValue.length);
		        ctr = ctr + 1;
		      }
		    );
		    if ( newOrderIds == "2,1" ) {
		    	$('#stms-auto-register').show();
		    	$('.third-network').show();
		    	$('.no-third-network').hide();
		    } else {
		    	$('#stms-auto-register').hide();
		    	$('.third-network').hide();
		    	$('.no-third-network').show();
		    }
		    $('#stms_order_steps').val(newOrderIds);
        }
    });
    
    /*
    $("input[name='stms_level[pr_type]']").click(function(){
    	if ( $(this).val() == 'front' ) {
    		$('.stms-toggle-oto').removeAttr("checked");
    		$('.' + $('.stms-toggle-oto').data('blockname')).hide();
    		$('.stms-toggle-oto').parent().parent().find('.stms-toggle-btn').css('background-position', 'left top');
    	}
    });
    */
   
	if ( $("input[name='stms_level[type]']:checked").val() == 'onetime' ) {
		$('.stms-paid-product').show();
		$('#stms-third-payments').show();
		$('.stms-free-product').hide();
		$('.stms-onetime').show();
		$('.stms-rebill').hide();
		
		// payment abilities
		$('.stms-no-recurring').show();
		if ( $('#stms_auto_register').is(":checked") ) {
			$('.stms-no-recurring-autoreg').show();
			$('.stms-autoreg-only').show();
		} else {
			$('.stms-autoreg-only').hide();
			$('.stms-no-recurring-autoreg').hide();
		}
	} else if ( $("input[name='stms_level[type]']:checked").val() == 'free' ) {
			$('.stms-paid-product').hide();
			$('#stms-third-payments').hide();
			$('.stms-free-product').show();
			$('.stms-onetime').hide();
			$('.stms-rebill').hide();
	} else {
		$('.stms-paid-product').show();
		$('#stms-third-payments').show();
		$('.stms-free-product').hide();
		$('.stms-onetime').hide();
		$('.stms-rebill').show();
		
		if ( $('#stms_rebill_trial').is(":checked") ) {
			$('.stms-rebill-trial-toggle').css('background-position', 'left bottom');
			$('.stms-rebill-trial').show("medium");
		} else {
			$('.stms-rebill-trial-toggle').css('background-position', 'left top');
			$('.stms-rebill-trial').hide("medium");
			
		}
		
		// payment abilities
		$('.stms-no-recurring').hide();
		$('.stms-no-recurring-autoreg').hide();
		if ( $('#stms_auto_register').is(":checked") )
			$('.stms-autoreg-only').show();
		else
			$('.stms-autoreg-only').hide();
	}
	
	$("input[name='stms_level[type]']").click(function(){
		if ( $(this).val() == 'onetime' ) {
			$('.stms-paid-product').show();
			$('#stms-third-payments').show();
			$('.stms-free-product').hide();
			$('.stms-onetime').show();
			$('.stms-rebill').hide();
			
			// payment abilities
			$('.stms-no-recurring').show();
			if ( $('#stms_auto_register').is(":checked") ) {
				$('.stms-no-recurring-autoreg').show();
				$('.stms-autoreg-only').show();
			} else {
				$('.stms-autoreg-only').hide();
				$('.stms-no-recurring-autoreg').hide();
				$('.stms-autoreg-only-sets').hide();
				$('.stms-no-recurring-autoreg-sets').hide();
				$('.stms-autoreg-only').find('.stms-toggle-checkbox').removeAttr('checked');
				$('.stms-autoreg-only').find('.stms-toggle-btn').css('background-position', 'left top');
				$('.stms-no-recurring-autoreg').find('.stms-toggle-checkbox').removeAttr('checked');
				$('.stms-no-recurring-autoreg').find('.stms-toggle-btn').css('background-position', 'left top');
			}
		} else if ( $(this).val() == 'free' ) {
			$('.stms-paid-product').hide();
			$('#stms-third-payments').hide();
			$('.stms-free-product').show();
			$('.stms-onetime').hide();
			$('.stms-rebill').hide();
		} else {
			$('.stms-paid-product').show();
			$('#stms-third-payments').show();
			$('.stms-free-product').hide();
			$('.stms-onetime').hide();
			$('.stms-rebill').show();
			if ( $('#stms_rebill_trial').is(":checked") ) {
				$('.stms-rebill-trial-toggle').css('background-position', 'left bottom');
				$('.stms-rebill-trial').show("medium");
			} else {
				$('.stms-rebill-trial-toggle').css('background-position', 'left top');
				$('.stms-rebill-trial').hide("medium");
			}
			
			// payment abilities
			$('.stms-no-recurring').hide();
			$('.stms-no-recurring-autoreg').hide();
			$('.stms-no-recurring-sets').hide();
			$('.stms-no-recurring-autoreg-sets').hide();
			$('.stms-no-recurring').find('.stms-toggle-checkbox').removeAttr('checked');
			$('.stms-no-recurring').find('.stms-toggle-btn').css('background-position', 'left top');
			$('.stms-no-recurring-autoreg').find('.stms-toggle-checkbox').removeAttr('checked');
			$('.stms-no-recurring-autoreg').find('.stms-toggle-btn').css('background-position', 'left top');
			if ( $('#stms_auto_register').is(":checked") ) {
				$('.stms-autoreg-only').show();
			} else {
				$('.stms-autoreg-only').hide();
				$('.stms-autoreg-only-sets').hide();
				$('.stms-autoreg-only').find('.stms-toggle-checkbox').removeAttr('checked');
				$('.stms-autoreg-only').find('.stms-toggle-btn').css('background-position', 'left top');
			}
		}
	});
	
	$('.stms-rebill-trial-toggle').click(function(){
		var $this = $(this);
		if ( $('#stms_rebill_trial').is(":checked") ) {
			$('.stms-rebill-trial').hide("medium");
			$('#stms_rebill_trial').removeAttr('checked');
			$this.css('background-position', 'left top');
		} else {
			$('.stms-rebill-trial').show("medium");
			$('#stms_rebill_trial').attr('checked', true);
			$this.css('background-position', 'left bottom');
		}
	});
	$('#stms_third_pay').change(function(){
		var option = $("option:selected", this).val();
		$('.stms-third-prop').hide();
		$('.stms-' + option + '-prop').show();
	}).change();
	$('#stms_autoresponder').change(function(){
		var option = $("option:selected", this).val();
		$('.responder-list').hide();
		$('.responder-' + option).fadeIn("medium");
	}).change();
	$('#stms-btn-snippet').change(function(){
		var option = $("option:selected", this).val();
		$('.pay-button-holder').hide();
		$('#' + option).fadeIn("medium");
	});
	$('#stms-btn-snippet2').change(function(){
		var option = $("option:selected", this).val();
		$('.pay-button-holder2').hide();
		$('#' + option + '-2').fadeIn("medium");
	});
	$('#stms-submit-license').click(function(){
    	var _post = $('form#stms_license_settings').serialize();
    	
    	$('#stms-license-loader').show();
    	$('#stms_license_settings').hide();
    	$('#stms-license-btn').hide();
    	$.post(ajaxurl, {
    		action: 'stms_apply_license',
    		post: _post
    	}, function(response){
    		$('#stms-license-loader').hide();
    		$('#stms_license_settings').show("medium");
    		$('#stms-license-btn').show();
    		if ( response == 'ok' ) {
    			$("html, body").animate({ scrollTop: 0 }, 600);
    			$('#stms-license-table').find('.stms-update-msg').show();
    			setTimeout(function(){
    				$('#stms-license-table').find('.stms-update-msg').fadeOut("medium");
    			}, 3000);
    		}
    	});
    });
    
    $('#stms_jvzoo_ptype').change(function(){
    	if ( $("option:selected", this).val() == 'front' )
    		$('.stms-jvzoo-frontend').show();
    	else
    		$('.stms-jvzoo-frontend').hide();
    }).change();
}

function _stms_save_manual_payment($) {
	$('.stms-member-manual-payment').click(function(e){
    	var _member_id = $('#stms_pays_member_id').val(),
    	_pay_id = $('#stms_payment_id').val(),
    	post = $('form#stms_member_manual_payment').serialize();
    	
    	var new_hash = '';
    	var fullhash = location.hash;
    	var get_hash = ( fullhash.replace(/^#/, '') || 'members' );
    	
    	var msg = '';
    	if ( _pay_id > 0 )
			msg = '&updated=true';
		else
			msg = '&added=true';
    			
    	$('#stms-member-payments-table').hide();
    	$('#stms-manual-payment-form').hide();
    	$('#stms-member-payment-loader').show("medium");
    	$.post(ajaxurl, {
    		action: 'stms_manual_payment',
    		vars: post,
    		member_id: _member_id
    	}, function(response){
    		new_hash = 'members|object_ID=' + _member_id + '&mode=payments' + msg;
    		if ( new_hash == get_hash )
    			new_hash = 'members|mode=payments&object_ID=' + _member_id + msg;
    		window.location.hash = new_hash;
    	});
    	e.preventDefault();
    });
}
function _stms_first_payment($) {
	$('#stms_member_level').change(function(){
		var opt = $("option:selected", this).val();
		if ( opt != '' )
			$('#stms-member-main-payment').show("medium");
		else
			$('#stms-member-main-payment').hide();
	});
	$("#stms_payment_start").datepicker();
	$("#stms_payment_expired").datepicker();
	$("#stms_pays_start").datepicker();
	$("#stms_pays_expired").datepicker();
}

function _stms_get_hash($) {
	var fullhash = location.hash,
	get_hash = ( fullhash.replace(/^#/, '') || 'dashboard' ),
	qry_str = get_hash.split("|"),
	new_ctrl = ( qry_str.hasOwnProperty(0) ) ? qry_str[0] : get_hash,
	raw_qry = ( qry_str.hasOwnProperty(1) ) ? qry_str[1] : '',
	the_qry = raw_qry.replace(/paged=[0-9]/i, ''),
	the_qry = the_qry.replace(/&$/i, ''),
	new_qry = ( the_qry != '' ) ? '|' + the_qry : '';
	q = ( new_qry != '' ) ? '&' : '|',
	new_hash = new_ctrl + new_qry;
	
	return { 'new_hash': new_hash, 'q': q, 'new_ctrl': new_ctrl, 'new_qry': new_qry };
}

function _stms_table_func($) {
	var current_page = $('.current-page').val(),
	total_page = $('.total-pages:first').text(),
	next_page = parseInt(current_page) + 1,
	prev_page = parseInt(current_page) - 1;
	
	$('.stms-search-submit').click(function(e){
		var hash = _stms_get_hash($),
		old_qry = hash.new_qry, search = $('#stms_' + hash.new_ctrl + '-search-input').val(),
		the_qry = old_qry.replace(/([\|+\&])+s+\=+([a-zA-Z0-9_\.\-\+])+$/, ''),
		new_qry = ( the_qry != '' ) ? '|' + the_qry : '',
		q = ( new_qry != '' ) ? '&' : '|',
		new_s = search.replace(/ /g, '+');
		
		var new_hash = hash.new_ctrl + new_qry + q + 's=' + new_s;
		window.location.hash = new_hash;
		e.preventDefault();
	});
	
	$('.pagination-links').find('.prev-page').click(function(e){
		var hash = _stms_get_hash($),
		new_hash = hash.new_hash,
		q = hash.q;
		if ( prev_page >= 1 ) {
			new_hash += q + 'paged=' + prev_page;
			window.location.hash = new_hash;
		}
		e.preventDefault();
	});
	$('.pagination-links').find('.next-page').click(function(e){
		var hash = _stms_get_hash($),
		new_hash = hash.new_hash,
		q = hash.q;
		if ( next_page <= total_page ) {
			new_hash += q + 'paged=' + next_page;
			window.location.hash = new_hash;
		}
		e.preventDefault();
	});
	$('.pagination-links').find('.first-page').click(function(e){
		var hash = _stms_get_hash($),
		new_hash = hash.new_hash,
		q = hash.q;
		if ( prev_page >= 1 ) {
			new_hash += q + 'paged=1';
			window.location.hash = new_hash;
		}
		e.preventDefault();
	});
	$('.pagination-links').find('.last-page').click(function(e){
		var hash = _stms_get_hash($),
		new_hash = hash.new_hash,
		q = hash.q;
		if ( next_page <= total_page ) {
			new_hash += q + 'paged=' + total_page;
			window.location.hash = new_hash;
		}
		e.preventDefault();
	});
}

function _stms_click_bind($) {
	$('.stms-click-bind').each(function(){
		$(this).click(function(e){
			var $this = $(this),
			new_hash = $this.data('control');
			
			if ( $this.data('mode').length )
				new_hash += '|' + $this.data('mode');
				
			window.location.hash = new_hash;
			e.preventDefault();
		});
	});
}

function _stms_toggle_check($) {
	$('.stms-toggle-checkbox').each(function(){
		var dis = $(this);
		$(this).click(function(e){
			var $this = $(this);
			if ( this.checked == true ) {
				$this.parent().parent().find('.stms-toggle-btn').css('background-position', 'left bottom');
				$('.' + $this.data('blockname')).show();
				$('.' + $this.data('unblockname')).hide();
			} else {
				$('.' + $this.data('blockname')).hide();
				$('.' + $this.data('unblockname')).show();
				$this.parent().parent().find('.stms-toggle-btn').css('background-position', 'left top');
			}
		});
		
		if ( dis.is(":checked") ) {
			$('.' + dis.data('blockname')).show();
			$('.' + dis.data('unblockname')).hide();
			dis.parent().parent().find('.stms-toggle-btn').css('background-position', 'left bottom');
		} else {
			$('.' + dis.data('blockname')).hide();
			$('.' + dis.data('unblockname')).show();
			dis.parent().parent().find('.stms-toggle-btn').css('background-position', 'left top');
		}
	});
	
	$('.stms-toggle-btn').each(function(){
		$(this).click(function(){
			var $this = $(this);
			if ( $this.parent().parent().find('.stms-toggle-switch').is(":checked") ) {
				
				$this.parent().parent().find('.stms-toggle-switch').removeAttr('checked');
				$('.' + $this.parent().parent().find('.stms-toggle-switch').data('blockname')).hide("medium");
				$('.' + $this.parent().parent().find('.stms-toggle-switch').data('unblockname')).show();
				if ( $this.data('third') == 'payment' )
					$('.' + $this.parent().parent().find('.stms-toggle-switch').data('blockname')).prependTo('.stms-third-integrate');
				$this.css('background-position', 'left top');
				$('.stms-last-integrate:last-of-type').css('border', 'none');
			} else {
				
				$this.parent().parent().find('.stms-toggle-switch').attr('checked', true);
				$('.' + $this.parent().parent().find('.stms-toggle-switch').data('blockname')).show("medium");
				$('.' + $this.parent().parent().find('.stms-toggle-switch').data('unblockname')).hide();
				$this.css('background-position', 'left bottom');
				if ( $this.data('third') == 'payment' )
					$('.' + $this.parent().parent().find('.stms-toggle-switch').data('blockname')).appendTo('.stms-third-integrate');
				$('.stms-last-integrate:last-of-type').css('border', 'none');
			}
		});
	});
	
	$('.stms-fancy-chkbox').each(function(){
		var dis = $(this);
		$(this).click(function(){
			var $this = $(this);
			if ( $this.parent().find('.stms-chkbox').is(":checked") ) {
				$this.parent().find('.stms-chkbox').removeAttr('checked');
				$this.css('background-position', 'left top');

				if ( $this.data('reveal') == 'payments' ) {
					$('.stms-autoreg-only').hide();
					$('.stms-autoreg-only-sets').hide();
					$('.stms-no-recurring-autoreg').hide();
					$('.stms-no-recurring-autoreg-sets').hide();
					$('.stms-autoreg-only').find('.stms-toggle-checkbox').removeAttr('checked');
					$('.stms-autoreg-only').find('.stms-toggle-btn').css('background-position', 'left top');
					$('.stms-no-recurring-autoreg').find('.stms-toggle-checkbox').removeAttr('checked');
					$('.stms-no-recurring-autoreg').find('.stms-toggle-btn').css('background-position', 'left top');
				}
			} else {
				$this.parent().find('.stms-chkbox').attr('checked', true);
				$this.css('background-position', 'left bottom');
				
				if ( $this.data('reveal') == 'payments' ) {
					$('.stms-autoreg-only').show();
					if ( $("input[name='stms_level[type]']:checked").val() == 'recurr' ) {
						$('.stms-no-recurring-autoreg').hide();
						$('.stms-no-recurring-autoreg-sets').hide();
						$('.stms-no-recurring-autoreg').find('.stms-toggle-checkbox').removeAttr('checked');
						$('.stms-no-recurring-autoreg').find('.stms-toggle-btn').css('background-position', 'left top');
					} else {
						$('.stms-no-recurring-autoreg').show();
					}
				}
			}
		});
		
		if ( dis.parent().find('.stms-chkbox').is(":checked") ) {
			dis.css('background-position', 'left bottom');
			if ( dis.data('reveal') == 'payments' ) {
				$('.stms-autoreg-only').show();
				if ( $("input[name='stms_level[type]']:checked").val() == 'recurr' )
					$('.stms-no-recurring-autoreg').hide();
				else
					$('.stms-no-recurring-autoreg').show();
			}
		} else {
			dis.css('background-position', 'left top');
			if ( dis.data('reveal') == 'payments' ) {
				$('.stms-autoreg-only').hide();
				$('.stms-no-recurring-autoreg').hide();
			}
		}
	});
}

function _stms_ajax_save($) {
	$('.stms-ajax-save').each(function(){
		$(this).click(function(e){
			var $this = $(this);
			var label = $this.attr('value');
			var _action = $this.parent().parent().find('.stms-action').attr('value');

			$this.attr('value', 'Saving');
			$this.attr('disabled', 'disabled');
			stmsInterval = window.setInterval(function(){
				var text = $this.attr('value');
				if ( text.length < 9 ) {
					$this.attr('value', text + '.');
				} else { $this.attr('value', 'Saving'); }
			}, 200);
			
			var _post = $this.parent().parent().serialize();
			var data = {
						action: 'stms_ajax_save',
						type: _action,
						vars: _post
					};
					
			$.ajax({type: 'POST', url:ajaxurl, data: data })
			.done( function(response) {
				if ( _action == 'stms_integrationsettings_save' ) {
					if ( $('#stms_aw_key').val() != '' && $('#stms_aw_secret_key').val() != '' ) {
						$('#stms_aw_status').show();
					} else {
						$('#stms_aw_status').hide();
					}
					
					if ( $('#stms_cc_key').val() != '' && $('#stms_cc_secret_key').val() != '' ) {
						$('#stms_cc_status').show();
					} else {
						$('#stms_cc_status').hide();
					}
				}
				
				$("html, body").animate({ scrollTop: 0 }, 600);
				$this.parent().parent().find('.stms-admin-block').find('.stms-update-msg').show("medium");
				window.clearInterval(stmsInterval);
				$this.attr('value', label);
				$this.removeAttr('disabled');
				setTimeout(function(){
					$this.parent().parent().find('.stms-admin-block').find('.stms-update-msg').fadeOut("medium");
				}, 4000);
			})
			.fail(function(jqXHR, textStatus) {
				alert( "Request failed: " + textStatus );
				window.clearInterval(stmsInterval);
				$this.attr('value', label);
				$this.removeAttr('disabled');
			});
				
			e.preventDefault();
		});
	});
}

function _stms_validate_level_form($) {
	jQuery.validator.addMethod("rebill", function(value, element) {
		return this.optional(element) || value != 1;
	}, "Please enter a number between 2 - 52, or 0 (zero) to bill forever.");
	
	$("#stms_save_level").validate({
		rules: {
			"stms_level[name]": {
				required: true
			},
			"stms_level[price]": {
				required: true,
				number: true
			},
			"stms_level[salesuri]": {
				required: true,
				url: true
			},
			"stms_level[salesuri2]": {
				required: true,
				url: true
			},
			"stms_level[r_price]": {
				required: true,
				number: true
			},
			"stms_level[r_dur]": {
				required: true,
				digits: true
			},
			"stms_level[t_dur]": {
				required: true,
				digits: true
			},
			"stms_level[r_times]": {
				digits: true
			},
			"stms_level[refund]": {
				digits: true
			},
			"stms_level[aff_comm]": {
				digits: true
			},
			"stms_level[s_aff_comm]": {
				digits: true
			},
			"stms_level[aff_comm2]": {
				digits: true
			},
			"stms_level[s_aff_comm2]": {
				digits: true
			},
			"stms_level[home]": {
				required: true
			},
			"stms_level[free_home]": {
				required: true
			},
			"stms_level[thankuri]": {
				url: true
			},
			"stms_level[thankuri2]": {
				url: true
			}
		},
		messages: {
			"stms_level[name]": { required: "Please enter a name for your product." }
		},
		errorClass: "stms-field-error"
	});
}

function _stms_validate_member_form($) {
	jQuery.validator.addMethod("alphanumeric", function(value, element) {
		return this.optional(element) || /^\w+$/i.test(value);
	}, "Letters, numbers, and underscores only please");

	jQuery.validator.addMethod("password", function( value, element ) {
		var result = this.optional(element) || /^[A-Za-z0-9`~!@#$%^&*()_|+\-=?;:'",.<>\{\}\[\]\\\/]{6,40}$/.test(value);
		if ( !result )
			element.focus();
		return result;
	}, "Password must be at least 6 characters, and maximum 40 characters. No white spaces.");

	$("#stms_add_member").validate({
		rules: {
			"stms_member[username]": {
					required: true,
					alphanumeric: true,
					remote: {
						url: ajaxurl,
						type: "post",
						data: { 
							action: 'stms_validate_username',
							member_id: function(){ return $('#stms_member_id').val(); }
						},
						beforeSend: function(xhr, settings) {
							$('#stms-submit-member').val('Validating Data...').attr('disabled', true);
						},
						complete: function(xhr, status) {
							$('#stms-submit-member').val('Save Member').removeAttr('disabled');
						}
					}
				},
			"stms_member[password]": {
					required: true,
					password: true,
				},
			"stms_member[password2]": {
					required: true,
					equalTo: "#stms_user_pass"
				},
			"stms_member[email]": {
					required: true,
					email: true,
					remote: {
						url: ajaxurl,
						type: "post",
						data: {
							action: 'stms_validate_email',
							member_id: function(){ return $('#stms_member_id').val(); },
							old_email: function(){ return $('#stms_old_email').val(); }
						},
						beforeSend: function(xhr, settings) {
							$('#stms-submit-member').val('Validating Data...').attr('disabled', true);
						},
						complete: function(xhr, status) {
							$('#stms-submit-member').val('Save Member').removeAttr('disabled');
						}
					}
				},
			"stms_member[zipcode]": { alphanumeric: true },
			"stms_member[pwd1]": { password: true },
			"stms_member[pwd2]": { equalTo: "#stms_user_pwd1" }
		},
		messages: {
			"stms_member[username]": {
					required: "Please enter a username",
					remote: jQuery.format('"{0}" is already in use')
				},
			"stms_member[password]": { required: "Please type a password" },
			"stms_member[email]": { 
					required: "Please enter a valid email address",
					remote: jQuery.format('"{0}" is already in use')
				},
			"stms_member[password2]": { required: " ", equalTo: "Please enter the same password as above" },
			"stms_member[pwd2]": { equalTo: "Please enter the same password as above" },
			"stms_member[zipcode]": { alphanumeric: "Please enter a valid Zip Code" }
		},
		errorClass: "stms-field-error"
	});
}