<?php

/*
$months = stms_find_monthly_dates();
$weeks = stms_find_weekly_dates();

$y = date("Y", stms_time());
$w = date("W", stms_time());
$week_days = stms_find_week_dates($w, $y);

$start = date("m/d/Y", $week_days[0]);
$end = date("m/d/Y", $week_days[6]);

$period_start = strtotime(stms_isset($_GET['start'], $start), stms_time());
$period_end = strtotime(stms_isset($_GET['end'], $end), stms_time());
*/
?>

<div class="stms-admin-block">
	<h2 class="stms-field-title">Affiliate Payouts</h2>
	<div id="member-edit-submenu" class="stms-desc" style="text-align:right">
		<ul id="stms-submenu">
			<li><a href="#affstats|mode=payouts" class="stms-submenu-active"><strong>Payouts</strong></a></li>
			<li><a href="#affstats"><strong>Affiliate Stats</strong></a></li>
			<li>Sub-Menu:</li>
		</ul>
		<br style="clear:right" />
	</div>
	
	<div class="stms-admin-block">
		<h3>Available Payouts For Today: <span style="color:#c4581c; font-weight:bold;"><?php echo date("l, F d, Y", stms_time()); ?></span></h3>
	<?php
		$report = new stmsAffPayouts();
		$report->prepare_items();
	?>
		<form id="stms-sales-report-table" method="get">
	        <input type="hidden" name="page" value="<?php echo $_REQUEST['page'] ?>" />
	        <?php $report->display(); ?>
	    </form>
	</div>
	<div class="stms-admin-block" style="text-align:right">
		<?php if ( $report->has_items() ) : ?>
			<?php if ( stms_isset($stms['global']['payout']['paypal']) == 1 ) : ?><a href="<?php echo admin_url('admin.php?page=stms-settings&action=stms_paypal_mass'); ?>" class="button-primary" onclick='return confirm("Only affiliates who have updated their Paypal email address that will be included.\nDo you want to continue?");'>Generate PayPal Mass Payment File</a><?php endif; ?>
			<?php if ( stms_isset($stms['global']['payout']['payza']) == 1 ) : ?><a href="<?php echo admin_url('admin.php?page=stms-settings&action=stms_payza_mass'); ?>" class="button-primary" onclick='return confirm("Only affiliates who have updated their Payza email address that will be included.\nDo you want to continue?");'>Generate Payza Mass Payment File</a><?php endif; ?>
		<?php endif; ?>
	</div>
</div>