<?php
$btn_show = true;
$gateways = stms_get_processors($p, false);
$buttons = array(
	'addtocart' => 'Add To Cart',
	'checkout' => 'Checkout',
	'download' => 'Download Now',
	'order' => 'Order Now',
);

$colors = array('orange', 'yellow');
if ( $p->type != 'free' && empty($p->info['direct_pay']) && empty($p->info['third_pay']) )
	$btn_show = false;

?>
<div class="stms-admin-block">
	<div id="member-edit-submenu" class="stms-desc" style="text-align:right">
		<ul id="stms-submenu">
			<li><a href="#level|mode=license&object_ID=<?php echo $object_id; ?>"><strong>Licensing</strong></a></li>
			<li><a href="#level|mode=pay_button&object_ID=<?php echo $object_id; ?>" class="stms-submenu-active"><strong>Reg/Pay Button</strong></a></li>
			<li><a href="#level|mode=protects&object_ID=<?php echo $object_id; ?>"><strong>Protect Content(s)</strong></a></li>
			<li><a href="#level|mode=edit&object_ID=<?php echo $object_id; ?>"><strong>Edit Product</strong></a></li>
			<li><a href="#level"><strong>All Products</strong></a></li>
			<li>Sub-Menu:</li>
		</ul>
		<br style="clear:right" />
	</div>
	<h2 class="stms-field-title">Registration/Payment Links <span class="stms-protect-title">(product name: <strong><?php echo stripslashes(stms_isset($p->title)); ?></strong>)</span></h2>
<?php
if ( $btn_show ) {
	if ( $p->type == 'free' ) {
		$session = base64_encode("{$p->ID}|free|direct");
		echo '
			<p>
				<label><strong>Free Registration URL:</strong></label><br />
				<input type="text" class="stms-field" value="' . stms_format_url($stms['global']['magic'], 'insta_pay=free&id=' . $p->ID) . '" style="width:65%" />
			</p>
		';
	} else {
?>
		<div id="stms-paylink-arc" class="stms-admin-block">
			<h3>Individual Payment URLs &amp; Buttons</h3>
			<div>
			<?php
			if ( $gateways && count($gateways) > 0 ) {
				echo '<h3>Payment URL(s)</h3>';
				foreach ( $gateways as $key => $value ) {
					echo '
					<p>
						<label>' . stms_getpaymentname($key) . ':</label><br />
						<input type="text" class="stms-field" value="' . stms_format_url(get_option('siteurl'), 'insta_pay=' . $key . '&id=' . $p->ID) . '" style="width:65%" />
					</p>
					';
				}
			}
		
			if ( $p->type != 'free' && count($gateways) > 0) :
				echo '<h3>Payment Buttons</strong></h3>';
				echo '
				<p>Choose a button:
				<select id="stms-btn-snippet">
					<option value="orange-addtocart">Add To Cart - Orange</option>
					<option value="yellow-addtocart">Add To Cart - Yellow</option>
					<option value="orange-checkout">Checkout - Orange</option>
					<option value="yellow-checkout">Checkout - Yellow</option>
					<option value="orange-download">Download Now - Orange</option>
					<option value="yellow-download">Download Now - Yellow</option>
					<option value="orange-order">Order Now - Orange</option>
					<option value="yellow-order">Order Now - Yellow</option>
				</select>
				</p>
				';
				
				$i = 0;
				foreach ( $buttons as $key => $value ) {
					foreach ( $colors as $color ) {
						$display = ( $i > 0 ) ? ' style="display:none"' : '';
						$img_url = STMS_URL . 'images/buttons/big-' . $color . '-' . $key . '-circle.png';
						echo '
						<div id="' . $color . '-' . $key . '" class="pay-button-holder" ' . $display . '>
							<p><code>Button Preview:</code><br />
							<img src="' . $img_url . '" border="0" id="stms-pay-button" />
							</p>
						';
						echo '<p><strong>HTML Snippets:</strong></p>';
						foreach ( $gateways as $k => $v ) {
							$url = stms_format_url(get_option('siteurl'), 'insta_pay=' . $k . '&id=' . $p->ID);
							$html_code = esc_textarea('<p style="text-align:center"><a href="' . $url . '"><img src="' . $img_url . '" border="0" /></a></p>');
							echo '
							<p>
								<label>' . stms_getpaymentname($k) . '</strong></label><br />
								<textarea class="stms-field" style="width:75%;height:65px">' . $html_code . '</textarea>
							</p>
							';
						}
						echo '<p><strong>Shortcode Snippets:</strong></p>';
						foreach ( $gateways as $k => $v ) {
							echo "
							<p>
								<label>" . stms_getpaymentname($k) . "</label><br />
								<input type='text' class='stms-field' value='[insta_pay_button id=\"{$p->ID}\" color=\"{$color}_{$key}\" payment=\"{$k}\"]' style='width:65%' />
							</p>
							";
						}
						echo '</div>';
						$i++;
					}
				}
			endif;
			echo '
				</div>
			';
	
			if ( is_array($p->info['third_pay']) && count($p->info['third_pay']) > 0 ) : ?>
				<h3>Auto-Switch Payment Button</h3>
				<div>
					<div class="stms-help-msg"><p>If you want to use a direct payment (e.g. Paypal) and also sell your product on 3rd-party networks (e.g. Clickbank, JVZoo, DigiResults, etc) but don't want to create new sales page for each payment system, then you can use the auto-switch payment button feature. Create only one sales page, drop the code snippet, and InstaMember will automatically display the "RIGHT" payment button based on the incoming traffic.</p></div>
					<h3>Step #1: Use special sales page URL(s) on each 3rd-party system that you use</h3>
					<?php foreach ( $p->info['third_pay'] as $key => $val ) {
							echo "
							<p style='color:#808080;font-weight:bold'>Sales page URL For " . stms_getpaymentname($key) . "</h3>
							<p style='padding-bottom:15px; border-bottom:1px solid #F5F5F5'>
								Please enter this sales page URL in your " . stms_getpaymentname($key) . "'s product settings:<br />
								<input type='text' value='" . stms_format_url(get_bloginfo('url'), 'insta_mode=landing&payment=' . $key . '&id=' . $p->ID). "' class='stms-field widefat' />
							</p>
							";
						}
					?>
					<h3>Step #2: Put this payment button code on your sales page</h3>
					<?php
					echo '
					<p style="color:#808080; font-weight:bold">Auto-Switch Payment Button Snippet:<br />
					<select id="stms-btn-snippet2">
						<option value="orange-addtocart">Add To Cart - Orange</option>
						<option value="yellow-addtocart">Add To Cart - Yellow</option>
						<option value="orange-checkout">Checkout - Orange</option>
						<option value="yellow-checkout">Checkout - Yellow</option>
						<option value="orange-download">Download Now - Orange</option>
						<option value="yellow-download">Download Now - Yellow</option>
						<option value="orange-order">Order Now - Orange</option>
						<option value="yellow-order">Order Now - Yellow</option>
					</select>
					</p>
					<div class="stms-desc" style="width:75%">Please note that if you include JVZoo, DigiResults, WSO Pro, ProductPay and Nanacast in your payment settings, then InstaMember will display the button from each respective payment platform.</div>
					';
					
					$i = 0;
					foreach ( $buttons as $key => $value ) {
						foreach ( $colors as $color ) {
							$display = ( $i > 0 ) ? ' style="display:none"' : '';
							$img_url = STMS_URL . 'images/buttons/big-' . $color . '-' . $key . '-circle.png';
							echo '
							<div id="' . $color . '-' . $key . '-2" class="pay-button-holder2" ' . $display . '>
								<p><code>Button Preview:</code><br />
								<img src="' . $img_url . '" border="0" id="stms-pay-button" />
								</p>
							';
							echo '<p><strong>JavaScript Snippet:</strong></p>';
							$url = stms_format_url(get_option('siteurl'), 'insta_mode=order&id=' . $p->ID);
							$js_url = stms_format_url(get_option('siteurl'), 'insta_mode=js_auto&id=' . $p->ID . '&text=' . $key . '&color=' . $color);
							$js_code = esc_textarea('<script type="text/javascript" src="' . $js_url . '"></script>');
							echo '
							<p>
								<textarea class="stms-field" style="width:75%;height:65px">' . $js_code . '</textarea>
							</p>
							';
			
							echo '<p><strong>Shortcode Snippet:</strong></p>';
							echo "
							<p>
								<input type='text' class='stms-field' value='[insta_autoswitch_button id=\"{$p->ID}\" color=\"{$color}_{$key}\"]' style='width:65%' />
							</p>
							";
							echo '</div>';
							$i++;
						}
					}
					?>
				</div>
			
<?php 	
		endif;
		echo '</div>';
	}
} else { 
?>
	<p><strong>Can't generate payment URL &amp; button. You haven't configured a payment processor for this product.</strong></p>
	<p><a href="#level|mode=edit&object_ID=<?php echo $p->ID; ?>">Click here</a> to configure the payment processor for this product.</p>
<?php
}
?>
	<p style="text-align:right;margin-top:20px">
		<input type="button" value="Back" class="button" onclick="window.history.back(); return false;"/>
	</p>
</div>