<div class="stms-admin-block">
	<form method="post" name="stms_bulk_payment" id="stms_bulk_payment" action="<?php echo admin_url('admin.php?page=stms-settings'); ?>">
		<input type="hidden" name="action" value="stms_member_delpayment_mass" />
		<h2 class="stms-field-title">Bulk Remove Payment</h2>
		<div class="stms-error-msg"><p><strong>Warning: </strong> Once executed, members will no longer have access to the product contents related to the payment(s) that got deleted. You will NOT be able to find the deleted payment(s) in the sales report. This action cannot be undone!</p></div>
		<table class="form-table">
			<tr valign="top">
				<th scope="row" style="text-align:right"><label for="stms_pays_members"><strong><?php _e('Members', 'stms'); ?></strong></label></th>
				<td>
					<select name="stms_paid_members[]" id="stms_paid_members" class="stms-field widefat" multiple="multiple" style="height:120px">
						<?php
						if ( isset($_GET['ids']) && is_array($_GET['ids']) ) {
							foreach ( $_GET['ids'] as $id ) {
								if ( !$m = stms_member($id) ) continue;
								echo "<option value='{$id}' selected='selected'>" . stms_sanitize($m->username) . " (" . stms_sanitize($m->email) . ")</option>";
							}
						}
						?>
					</select>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" style="text-align:right"><label for="stms_paid_level"><strong><?php _e('Payment of Product', 'stms'); ?></strong></label></th>
				<td>
					<select name="stms_paid_level" id="stms_paid_level" class="stms-field widefat">
						<?php
						if ( $products ) {
							foreach ( $products as $product ) {
								echo "<option value='{$product->ID}'>" . stms_sanitize($product->title) . "</option>";
							}
						}
						?>
					</select>
				</td>
			</tr>
		</table>
		<p style="margin-top:10px;text-align:right">
			<button type="submit" class="button-primary">Remove Payment</button>
			<a href="#" class="button" onclick="window.history.back(); return false">Cancel</a>
		</p>
	</form>
</div>