<div class="stms-admin-block">
	<form method="post" name="stms_bulk_payment" id="stms_bulk_payment" action="<?php echo admin_url('admin.php?page=stms-settings'); ?>">
		<input type="hidden" name="action" value="stms_member_payment_mass" />
		<h2 class="stms-field-title">Bulk Add Payment</h2>
		<table class="form-table">
			<tr valign="top">
				<th scope="row" style="text-align:right"><label for="stms_pays_members"><strong><?php _e('Members', 'stms'); ?></strong></label></th>
				<td>
					<select name="stms_pays_members[]" id="stms_pays_members" class="stms-field widefat" multiple="multiple" style="height:120px">
						<?php
						if ( isset($_GET['ids']) && is_array($_GET['ids']) ) {
							foreach ( $_GET['ids'] as $id ) {
								if ( !$m = stms_member($id) ) continue;
								echo "<option value='{$id}' selected='selected'>" . stms_sanitize($m->username) . " (" . stms_sanitize($m->email) . ")</option>";
							}
						}
						?>
					</select>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" style="text-align:right"><label for="stms_pays_level"><strong><?php _e('Product', 'stms'); ?></strong></label></th>
				<td>
					<select name="stms_pays_level" id="stms_pays_level" class="stms-field widefat">
						<?php
						if ( $products ) {
							foreach ( $products as $product ) {
								echo "<option value='{$product->ID}'>" . stms_sanitize($product->title) . "</option>";
							}
						}
						?>
					</select>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" style="text-align:right"><label for="stms_pays_start"><strong><?php _e('Start Date', 'stms'); ?></strong></label></th>
				<td><input class="stms-field widefat" type="text" name="stms_pays_start" id="stms_pays_start" value="<?php echo date("m/d/Y", stms_time()); ?>" style="width:100px" /></td>
			</tr>
			<tr valign="top">
				<th scope="row" style="text-align:right"><label for="stms_pays_expired"><strong><?php _e('Expire Date', 'stms'); ?></strong></label></th>
				<td>
					<input class="stms-field widefat" type="text" name="stms_pays_expired" id="stms_pays_expired" value="<?php echo date("m/d/Y", strtotime('+30 days')); ?>" style="width:100px" />
					<div class="stms-desc"><strong>Note:</strong> The 'Expire Date' will be ignored if a one-time product is selected.</div>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" style="text-align:right"><label for="stms_pays_amount"><strong><?php _e('Amount', 'stms'); ?></strong></label></th>
				<td><input class="stms-field widefat" type="text" name="stms_pays_amount" id="stms_pays_amount" value="0.00" style="width:80px" /> <?php echo stms_isset($stms['global']['currency'], 'USD'); ?></td>
			</tr>
			<tr valign="top">
				<th scope="row" style="text-align:right"></th>
				<td><label for="stms_pays_completed"><input type="checkbox" name="stms_pays_completed" id="stms_pays_completed" value="1" checked="checked" /> Mark as completed payment</label></td>
			</tr>
		</table>
		<p style="margin-top:10px;text-align:right">
			<button type="submit" class="button-primary">Add Payment</button>
			<a href="#" class="button" onclick="window.history.back(); return false">Cancel</a>
		</p>
	</form>
</div>