<?php
if ( $step == 'four' ) {
	$result = get_transient('stms_import_result_' . $key);
	$msg = '';
	if ( $result['mode'] == 1 ) {
		$msg = "{$result['imported']} new members has been imported. {$result['skipped']} data has been skipped.";
	} else if ( $result['mode'] == 2 ) {
		$msg = "{$result['imported']} new members has been imported. {$result['updated']} existing member data has been updated.";
	} else if ( $result['mode'] == 3 ) {
		$msg = "{$result['imported']} new members has been imported. {$result['overwritten']} existing member data has been replaced.";
	}
	
	delete_transient('stms_import_result_' . $key);
	@setcookie(__insta_import, 0, time()-86400, ADMIN_COOKIE_PATH);
}
?>
<div class="stms-admin-block">
	<form method="post" name="stms_import_members" id="stms_import_members" enctype="multipart/form-data" action="<?php echo admin_url('admin.php?page=stms-settings'); ?>">
	<?php if ( $step == 'four' ) : ?><div class="stms-update-msg"><p><strong><?php echo $msg; ?></strong></p></div><?php endif; ?>
		
	<h2 class="stms-field-title">Import Members From CSV <?php if ( $step != 'four' ) : ?><span class="stms-payments-title">(Step 1 of 3 - Upload CSV File)</span><?php endif; ?></h2>
	<input type="hidden" name="action" value="stms_import_members" />
	<input type="hidden" name="import_step" value="one" />
	<input type="hidden" name="import_key" value="<?php echo stms_generate_secret(5); ?>" />
	<table class="form-table">
		<tr valign="top">
			<th scope="row" style="text-align:right"><label for="stms_reglink_product"><strong><?php _e('CSV File', 'stms'); ?></strong></label></th>
			<td>
				<input type="file" name="stms_imp_file" id="stms_imp_file" class="stms-field" size="50" />
			</td>
		</tr>
	</table>
	<p style="text-align:right;margin-top:40px"><input type="submit" name="stms_import_btn" value="Continue" class="button-primary" />&nbsp;&nbsp;<a href="#members" class="button">Cancel</a></p>
	</form>
</div>