<?php
$direct_plugins = stms_get_pay_plugins();
$third_plugins = stms_get_pay_plugins('thirds');
?>
<form name="stms_pay_settings" id="stms_pay_settings" method="post">
<input type="hidden" name="action" class="stms-action" value="stms_paysettings_save" />
<input type="hidden" name="config_name" value="payments" />
<div id="stms-payment-settings" class="stms-admin-block">
	<div id="member-edit-submenu" class="stms-desc">
		<ul id="stms-submenu">
			<li><a href="#tools"><strong>Tools</strong></a></li>
			<li><a href="#blacklist"><strong>Block Email/IP</strong></a></li>
			<li><a href="#forms"><strong>Form Editor</strong></a></li>
			<li><a href="#integration"><strong>Integration</strong></a></li>
			<li><a href="#emails"><strong>Email</strong></a></li>
			<li><a href="#payments" class="stms-submenu-active"><strong>Payments</strong></a></li>
			<li><a href="#config"><strong>General</strong></a></li>
			<li>Config Menu:</li>
		</ul>
		<br style="clear:right" />
	</div>
	
	<h2 class="stms-field-title">Direct Payments</h2>
	<div class="stms-update-msg" style="display:none;margin-bottom:15px"><p><strong>Settings Saved.</strong></p></div>
	<p id="stms-payments-loader" style="display:none; text-align:center"><img src="<?php echo STMS_URL; ?>images/admin-loader.gif" border="0" /><br /><span class="stms-load-text">Loading data ...</span></p>
	<div id="stms-paymentsets-form">
		<div id="stms-direct-payarc">
			<?php
			if ( $direct_plugins ) {
				foreach ( $direct_plugins as $key => $value ) {
					$status = ''; //( isset($stms['payments']['is_' . $key]) && $stms['payments']['is_' . $key] == 1 ) ? ' <span style="color:#008900"><strong>(Active)</strong>' : ' <span style="color:#808080">(Inactive)';
					echo '<h3>' . $value . $status . '</h3>';
					echo "\n" . '<div>' . "\n";
					do_action('stms_global_payment_' . $key, $stms);
					echo "\n" . '</div>' . "\n";
				}
			}
			?>
		</div>
		
		<h2 class="stms-field-title" style="margin-top:30px">Third Party Payments</h2>
		<div class="stms-desc"><strong>Important: </strong>When you sell your product via 3rd-Party payment system, then you have to use the affiliate program management provided by the 3rd-party payment company that you use. InstaMember will NOT track affiliate clicks nor calculate the commissions.</div>
		<div id="stms-third-payarc">
			<?php
			if ( $third_plugins ) {
				foreach ( $third_plugins as $key => $value ) {
					$status = ''; //( isset($stms['payments']['is_' . $key]) && $stms['payments']['is_' . $key] == 1 ) ? ' <span style="color:#008900"><strong>(Active)</strong>' : ' <span style="color:#808080">(Inactive)';
					echo '<h3>' . $value . $status . '</h3>';
					echo "\n" . '<div>' . "\n";
					do_action('stms_global_payment_' . $key, $stms);
					echo "\n" . '</div>' . "\n";
				}
			}
			?>
		</div>
	</div>
	
	<div class="stms-admin-block" style="margin-top:20px">
		<h2 class="stms-field-title">Forward Instant Payment Notification <span class="stms-toggle" data-open="no">+</span></h2>
		<table class="form-table">
		<tr valign="top">
			<td colspan="2">
				<div class="stms-error-msg">
					<p><strong>Important: </strong>This feature is optional, and for advanced users only.</p>
				</div>
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label style="cursor:default"><strong>Forward IPN</strong></label></th>
			<td><div class="stms-toggle-btn"></div><input type="checkbox" name="stms_sets[is_forward_ipn]" id="stms_is_forward_ipn" class="stms-toggle-checkbox stms-toggle-switch" data-blockname="forward-ipnsets" value="1" <?php if ( stms_isset($stms['payments']['is_forward_ipn']) == 1 ) echo 'checked="checked"'; ?> /></td>
		</tr>
		<tr valign="top" class="forward-ipnsets">
			<th scope="row" style="text-align:right"><label for="stms_ipnforward_url"><?php _e('IPN Forwarding URLs', 'stms'); ?></label></th>
			<td>
				<textarea class="widefat stms-field" name="stms_sets[ipnforward_urls]" id="stms_ipnforward_urls" style="height:80px"><?php echo stms_isset($stms['payments']['ipnforward_urls']); ?></textarea>
				<div class="stms-desc">Please enter one URL per line. If you enable this feature, all IPNs received by InstaMember from any payment systems will be forwarded to the above URLs. InstaMember will not modify the IPN data, and will send the original IPN data to the above URLs.</div>
			</td>
		</tr>
		</table>
	</div>
</div>
<p style="text-align:right"><input type="button" name="stms-submit-paymentsets" id="stms-submit-paymentsets" value="Update Settings" class="stms-ajax-save button-primary" /></p>
</form>