<?php
$stms = get_option('stms_settings');
$products = stms_get_products();
$posts = get_posts(array('post_status' => 'publish'));
$pages = get_pages(array('post_status' => 'publish'));
$currencies = stms_get_currency();
$currency = stms_isset($stms['global']['currency'], 'USD');
$paydays = stms_payout_days();
$direct_pays = stms_get_direct_payments();
$third_pays = stms_get_third_payments();
$control = ( stms_isset($_REQUEST['control']) != '' ) ? $_REQUEST['control'] : 'dashboard';

$files = array(
	'dashboard',
	'config',
	'level',
	'members',
	//'access',
	'reports',
	'affstats',
	'licenses',
	'support',
	'broadcast',
	'urls',
	'payments',
	'emails',
	'integration',
	'forms',
	'blacklist',
	'tools'
);
	
?>
<div class="wrap">
	<div id="stms-admin-header">
		<div class="stms-admin-logo">
			<img src="<?php echo STMS_URL; ?>images/logo.png" border="0" />
		</div>
		<div class="stms-admin-version">
			Version <?php echo STMS_VERSION; ?>
		</div>
		<div style="clear:both"></div>
	</div>
	
	<div id="stms-admin-menu">
		<a href="http://insta-member.com/member/" target="_blank">Member area</a>
		<a href="http://asksuzannatheresia.com" target="_blank">Support</a>
		<a href="http://instamemberreviews.com" target="_blank">Like Us?</a>
		<div id="stms-admin-help-menu">Help: <a href="admin.php?page=stms-settings&insta_pdf=dashboard" id="insta_pdf_url" class="pdf_url" target="_blank">PDF</a><a href="http://www.youtube.com/v/oF2qQOSHwZs?rel=0&amp;wmode=transparent&autoplay=1" data-video="dashboard" class="insta_video_help video_url">Video</a></div>
		<div style="clear:right"></div>
	</div>
	
	<div id="stms-admin-body">
		<div id="stms-admin-left">
			<ul id="stms-tab-menu">
				<?php stms_admin_tabs($control); ?>
			</ul>
		</div>
		<div id="stms-admin-right">
			<div id="stms-admin-main">
				<p id="stms-settings-loader" style="display:none; text-align:center"><img src="<?php echo STMS_URL; ?>images/ajax-loader.gif" border="0" /><br /><span class="stms-load-text">Loading Page ...</span></p>
				<div id="stms-settings-placeholder" data-loaded="<?php echo $control; ?>">
					<div id="stms-main-settings" style="display:none">
						<?php if ( in_array($control, $files) )
								require_once(STMS_ADMIN . $control . '.php');
							else
								require_once(INSTA_ADDONS . $control . '/' . $control . '.php');
						?>
					</div>
				</div>
			</div>
		</div>
		<div style="clear:left"></div>
	</div><!-- stms-admin-body -->
</div><!-- wrap -->
