var doc_url = stmsAdminURI + '/wp-admin/';
jQuery(document).ready(function($){
	var page_loaded = $('#stms-settings-placeholder').data('loaded');
	var tw = $('#stms-tab-menu').find('.stms-tab-selected').width();
	var nw = parseInt(tw) + 1;
	$('#stms-tab-menu').find('.stms-tab-selected').css('width', nw + "px");
	$('.stms-tab').each(function(){
		var $this = $(this);
		$this.click(function(e){
			window.location.hash = $this.data('tab');
			e.preventDefault();
		});
	});
	
	$(window).bind('hashchange', function(){
		var hashname = location.hash,
		new_hash = ( hashname.replace(/^#/, '') || 'dashboard' ),
		split_hash = new_hash.split("|"),
		new_ctrl = ( split_hash.hasOwnProperty(0) ) ? split_hash[0] : 'dashboard',
		qry_str = ( split_hash.hasOwnProperty(1) ) ? '&' + split_hash[1] : '',
		new_url = doc_url + 'admin.php?page=stms-settings&control=' + new_ctrl + qry_str;
		
		var queryString = {};
		new_url.replace(
		    new RegExp("([^?=&]+)(=([^&]*))?", "g"),
		    function($0, $1, $2, $3) { queryString[$1] = $3; }
		);
		
		var video_file = '';
		if ( new_ctrl == 'dashboard' ) {
			video_file = 'http://www.youtube.com/v/oF2qQOSHwZs?rel=0&amp;wmode=transparent&autoplay=1';
		} else if ( new_ctrl == 'config' ) {
			video_file = 'https://www.youtube.com/v/W8K5c1dttUo?rel=0&amp;wmode=transparent&autoplay=1';
		} else if ( new_ctrl == 'payments' ) {
			video_file = 'https://www.youtube.com/v/3XZR-zSK6c0?rel=0&amp;wmode=transparent&autoplay=1';
		} else if ( new_ctrl == 'emails' ) {
			video_file = 'https://www.youtube.com/v/MTxN9Lj2_S0?rel=0&amp;wmode=transparent&autoplay=1';
		} else if ( new_ctrl == 'integration' ) {
			video_file = 'https://www.youtube.com/v/2DneL4N6X3g?rel=0&amp;wmode=transparent&autoplay=1';
		} else if ( new_ctrl == 'forms' ) {
			video_file = 'https://www.youtube.com/v/Q5_HR7TLYzM?rel=0&amp;wmode=transparent&autoplay=1';
		} else if ( new_ctrl == 'blacklist' ) {
			video_file = 'https://www.youtube.com/v/-y-to2L8t6U?rel=0&amp;wmode=transparent&autoplay=1';
		} else if ( new_ctrl == 'tools' ) {
			video_file = 'https://www.youtube.com/v/g4nPi1o6t98?rel=0&amp;wmode=transparent&autoplay=1';
		} else if ( new_ctrl == 'level' ) {
			if ( queryString.mode == 'add' || queryString.mode == 'edit' )
				video_file = 'https://www.youtube.com/v/868k9qO2EwY?rel=0&amp;wmode=transparent&autoplay=1';
			else
				video_file = 'https://www.youtube.com/v/4fjcbGKSB2I?rel=0&amp;wmode=transparent&autoplay=1';
		} else if ( new_ctrl == 'salesflow' ) {
			video_file = 'https://www.youtube.com/v/2dQNb0C4J24?rel=0&amp;wmode=transparent&autoplay=1';
		} else if ( new_ctrl == 'members' ) {
			video_file = 'https://www.youtube.com/v/8Dosl16UUiQ?rel=0&amp;wmode=transparent&autoplay=1';
		} else if ( new_ctrl == 'reports' ) {
			video_file = 'https://www.youtube.com/v/MVvsO74pCdU?rel=0&amp;wmode=transparent&autoplay=1';
		} else if ( new_ctrl == 'affstats' ) {
			video_file = 'https://www.youtube.com/v/UyGa3j4Et1U?rel=0&amp;wmode=transparent&autoplay=1';
		} else if ( new_ctrl == 'support' ) {
			video_file = 'https://www.youtube.com/v/ojhjSu-Fk1o?rel=0&amp;wmode=transparent&autoplay=1';
		} else if ( new_ctrl == 'broadcast' ) {
			video_file = 'https://www.youtube.com/v/NPP1wWiOxSs?rel=0&amp;wmode=transparent&autoplay=1';
		} else if ( new_ctrl == 'urls' ) {
			video_file = 'https://www.youtube.com/v/0kO4B-yZnu4?rel=0&amp;wmode=transparent&autoplay=1';
		} else if ( new_ctrl == 'discount' ) {
			video_file = 'https://www.youtube.com/v/gFwh-m-UAy4?rel=0&amp;wmode=transparent&autoplay=1';
		} else if ( new_ctrl == 'licenses' ) {
			video_file = 'https://www.youtube.com/v/rCe2VwXd6Zw?rel=0&amp;wmode=transparent&autoplay=1';
		}

		$('#insta_pdf_url').attr('href', 'admin.php?page=stms-settings&insta_pdf=' + new_ctrl);
		$('.insta_video_help').attr('href', video_file);
		$('.insta_video_help').data('video', new_ctrl);
		
		if ( new_ctrl == 'emails'
			|| new_ctrl == 'payments'
			|| new_ctrl == 'integration'
			|| new_ctrl == 'forms'
			|| new_ctrl == 'blacklist'
			|| new_ctrl == 'tools'
		) {
			new_ctrl = 'config';
		}
			
		$('#stms-settings-placeholder')
		.find('#stms-main-settings')
		.fadeOut(200, function(){
			var tab_width = $('.tab-' + new_ctrl).width(), new_width = parseInt(tab_width) + 1,
			old_tab_name = $('#stms-tab-menu').find('.stms-tab-selected').data('tab');
			
			if ( old_tab_name != new_ctrl ) {
				$('#stms-tab-menu')
				.find('.stms-tab-selected')
				.css('width', tab_width + "px")
				.removeClass('stms-tab-selected');
				
				$('.tab-' + new_ctrl)
				.addClass('stms-tab-selected')
				.css('width', new_width + "px");
			}
			
			$('body').css('cursor', 'wait');
			$('#stms-settings-loader').show();
			$('#stms-settings-placeholder').hide().load(new_url + " #stms-main-settings", queryString, function(){
				$('#stms-main-settings').show();
				$('#stms-settings-loader').hide();
				$('#stms-settings-placeholder').fadeIn("medium");
				$('body').css('cursor', 'auto');
				_stms_admin(jQuery);
			});
		});
 	});
 	
 	$(window).trigger('hashchange');
});

function substr_replace( str, replace, start, length ) {
	if ( start < 0 ) { // start position in str
		start = start + str.length;
  	}
	length = length !== undefined ? length : str.length;
	if (length < 0) {
		length = length + str.length - start;
	}
	return str.slice(0, start) + replace.substr(0, length) + replace.slice(length) + str.slice(start + length);
}
