(function() {
	tinymce.create('tinymce.plugins.instamember', {
		init : function(ed, url) {
			
		},
		
		createControl : function(n, cm) {
			if ( n == 'instamember' ) {
				var stms = cm.createListBox('instamemberList', {
					title : 'InstaMember',
					onselect : function(v) { 
						/* Individual Payment Buttons */
						if ( v == 'atc_orange' ) {
							var col = '';
							col += '[insta_pay_button id="PRODUCT_ID_HERE" color="orange_addtocart" payment="PAYMENT_METHOD_HERE" target="_self"]';
							tinyMCE.activeEditor.selection.setContent(col);
						} else if ( v == 'atc_yellow' ) {
							var col = '';
							col += '[insta_pay_button id="PRODUCT_ID_HERE" color="yellow_addtocart" payment="PAYMENT_METHOD_HERE" target="_self"]';
							tinyMCE.activeEditor.selection.setContent(col);
						} else if ( v == 'cko_orange' ) {
							var col = '';
							col += '[insta_pay_button id="PRODUCT_ID_HERE" color="orange_checkout" payment="PAYMENT_METHOD_HERE" target="_self"]';
							tinyMCE.activeEditor.selection.setContent(col);
						} else if ( v == 'cko_yellow' ) {
							var col = '';
							col += '[insta_pay_button id="PRODUCT_ID_HERE" color="yellow_checkout" payment="PAYMENT_METHOD_HERE" target="_self"]';
							tinyMCE.activeEditor.selection.setContent(col);
						} else if ( v == 'dln_orange' ) {
							var col = '';
							col += '[insta_pay_button id="PRODUCT_ID_HERE" color="orange_download" payment="PAYMENT_METHOD_HERE" target="_self"]';
							tinyMCE.activeEditor.selection.setContent(col);
						} else if ( v == 'dln_yellow' ) {
							var col = '';
							col += '[insta_pay_button id="PRODUCT_ID_HERE" color="yellow_download" payment="PAYMENT_METHOD_HERE" target="_self"]';
							tinyMCE.activeEditor.selection.setContent(col);
						} else if ( v == 'orn_orange' ) {
							var col = '';
							col += '[insta_pay_button id="PRODUCT_ID_HERE" color="orange_order" payment="PAYMENT_METHOD_HERE" target="_self"]';
							tinyMCE.activeEditor.selection.setContent(col);
						} else if ( v == 'orn_yellow' ) {
							var col = '';
							col += '[insta_pay_button id="PRODUCT_ID_HERE" color="yellow_order" payment="PAYMENT_METHOD_HERE" target="_self"]';
							tinyMCE.activeEditor.selection.setContent(col);
							
						/* Auto-Switch Payment Buttons */
						} else if ( v == 'atc_auto_orange' ) {
							var col = '';
							col += '[insta_autoswitch_button id="PRODUCT_ID_HERE" color="orange_addtocart"]';
							tinyMCE.activeEditor.selection.setContent(col);
						} else if ( v == 'atc_auto_yellow' ) {
							var col = '';
							col += '[insta_autoswitch_button id="PRODUCT_ID_HERE" color="yellow_addtocart"]';
							tinyMCE.activeEditor.selection.setContent(col);
						} else if ( v == 'cko_auto_orange' ) {
							var col = '';
							col += '[insta_autoswitch_button id="PRODUCT_ID_HERE" color="orange_checkout"]';
							tinyMCE.activeEditor.selection.setContent(col);
						} else if ( v == 'cko_auto_yellow' ) {
							var col = '';
							col += '[insta_autoswitch_button id="PRODUCT_ID_HERE" color="yellow_checkout"]';
							tinyMCE.activeEditor.selection.setContent(col);
						} else if ( v == 'dln_auto_orange' ) {
							var col = '';
							col += '[insta_autoswitch_button id="PRODUCT_ID_HERE" color="orange_download"]';
							tinyMCE.activeEditor.selection.setContent(col);
						} else if ( v == 'dln_auto_yellow' ) {
							var col = '';
							col += '[insta_autoswitch_button id="PRODUCT_ID_HERE" color="yellow_download"]';
							tinyMCE.activeEditor.selection.setContent(col);
						} else if ( v == 'orn_auto_orange' ) {
							var col = '';
							col += '[insta_autoswitch_button id="PRODUCT_ID_HERE" color="orange_order"]';
							tinyMCE.activeEditor.selection.setContent(col);
						} else if ( v == 'orn_auto_yellow' ) {
							var col = '';
							col += '[insta_autoswitch_button id="PRODUCT_ID_HERE" color="yellow_order" target="_self"]';
							tinyMCE.activeEditor.selection.setContent(col);
							
						/* Registration or Payment Links */
						} else if ( v == 'iln_text' ) {
							var txt_label = ( tinyMCE.activeEditor.selection.getContent() != '' ) ? tinyMCE.activeEditor.selection.getContent() : 'Order Now';
							var col = '';
							col += '[insta_link id="PRODUCT_ID_HERE" payment="PAYMENT_METHOD_HERE" target="_self"]' + txt_label + '[/insta_link]';
							tinyMCE.activeEditor.selection.setContent(col);
						} else if ( v == 'iln_image' ) {
							var col = '';
							col += '[insta_link id="PRODUCT_ID_HERE" payment="PAYMENT_METHOD_HERE" target="_self"]YOUR_IMAGE_URL_HERE[/insta_link]';
							tinyMCE.activeEditor.selection.setContent(col);
						
						/* Protections */
						} else if ( v == 'cps' ) {
							var content = ( tinyMCE.activeEditor.selection.getContent() != '' ) ? tinyMCE.activeEditor.selection.getContent() : 'Your protected content here';
							var col = '';
							col += '[insta_protect ids="PRODUCT_ID_HERE"]' + content + '[/insta_protect]';
							tinyMCE.activeEditor.selection.setContent(col);
						} else if ( v == 'furl' ) {
							var txt_label = ( tinyMCE.activeEditor.selection.getContent() != '' ) ? tinyMCE.activeEditor.selection.getContent() : 'Click Here To Download';
							var col = '';
							col += '[insta_download file="YOUR_FILE_NAME.zip"]' + txt_label + '[/insta_download]';
							tinyMCE.activeEditor.selection.setContent(col);
						} else if ( v == 's3url' ) {
							var txt_label = ( tinyMCE.activeEditor.selection.getContent() != '' ) ? tinyMCE.activeEditor.selection.getContent() : 'Click Here To Download';
							var col = '';
							col += '[insta_download type="s3" file="YOUR_FILE_NAME.zip"]' + txt_label + '[/insta_download]';
							tinyMCE.activeEditor.selection.setContent(col);
						} else if ( v == 's3vid' ) {
							var col = '';
							col += '[insta_s3_video player="flowplayer" file="YOUR_VIDEO_FILE_NAME.mp4" width="640" height="360" autoplay="1" autohide="1"]';
							tinyMCE.activeEditor.selection.setContent(col);
						} else if ( v == 'lickey' ) {
							var col = '';
							col += '[insta_license id="PRODUCT_ID_HERE"]';
							tinyMCE.activeEditor.selection.setContent(col);
							
						} else if ( v == 'access' ) {
							var col = '';
							col += '[insta_purchases]';
							tinyMCE.activeEditor.selection.setContent(col);
							
						} else if ( v == 'offers' ) {
							var col = '';
							col += '[insta_offers]';
							tinyMCE.activeEditor.selection.setContent(col);
							
						} else if ( v == 'lgf' ) {
							var log = '';
							log += '[insta_login label_username="Email Address OR Username" label_password="Password" label_button="Log In" redirect_url="" remember="yes" label_remember="Remember Me"]';
							tinyMCE.activeEditor.selection.setContent(log);
							
						/* Member Info */
						} else if ( v == 'mfname' ) {
							var col = '';
							col += '[insta_member type="firstname"]';
							tinyMCE.activeEditor.selection.setContent(col);
							
						} else if ( v == 'mlname' ) {
							var col = '';
							col += '[insta_member type="lastname"]';
							tinyMCE.activeEditor.selection.setContent(col);
							
						} else if ( v == 'musername' ) {
							var col = '';
							col += '[insta_member type="username"]';
							tinyMCE.activeEditor.selection.setContent(col);
							
						} else if ( v == 'memail' ) {
							var col = '';
							col += '[insta_member type="email"]';
							tinyMCE.activeEditor.selection.setContent(col);
							
						} else if ( v == 'mtitle' ) {
							var col = '';
							col += '[insta_member type="title"]';
							tinyMCE.activeEditor.selection.setContent(col);
							
						} else if ( v == 'mstreet' ) {
							var col = '';
							col += '[insta_member type="address"]';
							tinyMCE.activeEditor.selection.setContent(col);
							
						} else if ( v == 'mcity' ) {
							var col = '';
							col += '[insta_member type="city"]';
							tinyMCE.activeEditor.selection.setContent(col);
							
						} else if ( v == 'mstate' ) {
							var col = '';
							col += '[insta_member type="state"]';
							tinyMCE.activeEditor.selection.setContent(col);
							
						} else if ( v == 'mzipcode' ) {
							var col = '';
							col += '[insta_member type="zipcode"]';
							tinyMCE.activeEditor.selection.setContent(col);
							
						} else if ( v == 'mcountry' ) {
							var col = '';
							col += '[insta_member type="country"]';
							tinyMCE.activeEditor.selection.setContent(col);
							
						} else if ( v == 'mphone' ) {
							var col = '';
							col += '[insta_member type="phone"]';
							tinyMCE.activeEditor.selection.setContent(col);
							
						} else if ( v == 'mgender' ) {
							var col = '';
							col += '[insta_member type="gender"]';
							tinyMCE.activeEditor.selection.setContent(col);
							
						} else if ( v == 'mcompany' ) {
							var col = '';
							col += '[insta_member type="company"]';
							tinyMCE.activeEditor.selection.setContent(col);
							
						/* Affiliates */
						} else if ( v == 'aff_url' ) {
							var content = ( tinyMCE.activeEditor.selection.getContent() != '' ) ? tinyMCE.activeEditor.selection.getContent() : '';
							var col = '';
							if ( content != '' )
								col += '[insta_aff_link]' + content + '[/insta_aff_link]';
							else
								col += '[insta_aff_link]';
							tinyMCE.activeEditor.selection.setContent(col);
						} else if ( v == 'aff_purl' ) {
							var content = ( tinyMCE.activeEditor.selection.getContent() != '' ) ? tinyMCE.activeEditor.selection.getContent() : '';
							var col = '';
							if ( content != '' )
								col += '[insta_aff_link id="PRODUCT_ID_HERE"]' + content + '[/insta_aff_link]';
							else
								col += '[insta_aff_link id="PRODUCT_ID_HERE"]';
							tinyMCE.activeEditor.selection.setContent(col);
						} else if ( v == 'aff_lurl' ) {
							var content = ( tinyMCE.activeEditor.selection.getContent() != '' ) ? tinyMCE.activeEditor.selection.getContent() : '';
							var col = '';
							if ( content != '' )
								col += '[insta_aff_link url="LANDING_PAGE_URL_HERE"]' + content + '[/insta_aff_link]';
							else
								col += '[insta_aff_link url="LANDING_PAGE_URL_HERE"]';
							tinyMCE.activeEditor.selection.setContent(col);
						} else if ( v == 'aff_bnr' ) {
							var col = '';
								col += '[insta_aff_banner image="BANNER_URL_HERE" width="468" height="60" id="PRODUCT_ID_HERE"]';
							tinyMCE.activeEditor.selection.setContent(col);
						} else if ( v == 'aff_swp' ) {
							var content = ( tinyMCE.activeEditor.selection.getContent() != '' ) ? tinyMCE.activeEditor.selection.getContent() : 'YOUR_SWIPE_CONTENT_HERE';
							var col = '';
							col += '[insta_aff_swipe subject="SWIPE_SUBJECT_HERE"]' + content + '[/insta_aff_swipe]';
							tinyMCE.activeEditor.selection.setContent(col);
							
						} else if ( v == 'disc_frm' ) {
							var col = '';
							col += '[insta_discount id="DISCOUNT_ID_HERE"]';
							tinyMCE.activeEditor.selection.setContent(col);
						}
					
					}
				});
				
				stms.add('[-- members content --]', '');
				stms.add('Login Form', 'lgf');
				stms.add('Protect Section', 'cps');
				stms.add('Download Link', 'furl');
				stms.add('S3 Download Link', 's3url');
				stms.add('S3 Video', 's3vid');
				stms.add('License Key', 'lickey');
				stms.add('Purchased Product(s)', 'access');
				stms.add('Haven\'t Bought Product(s)', 'offers');
				
				stms.add('[-- member info --]', '');
				stms.add('Member\'s Username', 'musername');
				stms.add('Member\'s Email', 'memail');
				stms.add('Member\'s First Name', 'mfname');
				stms.add('Member\'s Last Name', 'mlname');
				stms.add('Member\'s Title', 'mtitle');
				stms.add('Member\'s Address', 'mstreet');
				stms.add('Member\'s City', 'mcity');
				stms.add('Member\'s State', 'mstate');
				stms.add('Member\'s Zip Code', 'mzipcode');
				stms.add('Member\'s Country', 'mcountry');
				stms.add('Member\'s Phone#', 'mphone');
				stms.add('Member\'s Gender', 'mgender');
				stms.add('Member\'s Company', 'mcompany');
				
				stms.add('[-- Reg/Payment Link --]', '');
				stms.add('Normal Text Link', 'iln_text');
				stms.add('Normal Image Link', 'iln_image');
				
				stms.add('[-- Reg/Payment Buttons --]', '');
				stms.add('Add To Cart - Orange', 'atc_orange');
				stms.add('Add To Cart - Yellow', 'atc_yellow');
				stms.add('Checkout - Orange', 'cko_orange');
				stms.add('Checkout - Yellow', 'cko_yellow');
				stms.add('Download Now - Orange', 'dln_orange');
				stms.add('Download Now - Yellow', 'dln_yellow');
				stms.add('Order Now - Orange', 'orn_orange');
				stms.add('Order Now - Yellow', 'orn_yellow');
				
				stms.add('[-- Auto-Switch Payment Buttons --]', '');
				stms.add('Add To Cart - Orange', 'atc_auto_orange');
				stms.add('Add To Cart - Yellow', 'atc_auto_yellow');
				stms.add('Checkout - Orange', 'cko_auto_orange');
				stms.add('Checkout - Yellow', 'cko_auto_yellow');
				stms.add('Download Now - Orange', 'dln_auto_orange');
				stms.add('Download Now - Yellow', 'dln_auto_yellow');
				stms.add('Order Now - Orange', 'orn_auto_orange');
				stms.add('Order Now - Yellow', 'orn_auto_yellow');
				
				stms.add('[-- affiliates --]', '');
				stms.add('Global Aff. Link', 'aff_url');
				stms.add('Product Aff. Link', 'aff_purl');
				stms.add('Aff. Link /w Custom Landing Page', 'aff_lurl');
				stms.add('Aff. Banner', 'aff_bnr');
				stms.add('Aff. Swipe', 'aff_swp');
				
				stms.add('[-- misc. --]', '');
				stms.add('Discount Order Form', 'disc_frm');
				
				return stms;
			}
			return null;
		},
		
		getInfo : function() {
			return {
				longname : "InstaMember Shortcodes",
				author : 'Suzanna Theresia',
				authorurl : 'http://instamember.com/',
				infourl : 'http://instamember.com/',
				version : "1.0"
			};
		}
	});
	tinymce.PluginManager.add('instamember', tinymce.plugins.instamember);
})();